## org.eclipse.datatools.modelbase.sql.datatypes
Interface SQLDataTypesPackage

All Known Implementing Classes:
  SQLDataTypesPackageImpl

public interface SQLDataTypesPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `SQLDataTypesFactory`

Nested Class Summary
`static interface` `SQLDataTypesPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Field Summary
`static int` `APPROXIMATE_NUMERIC_DATA_TYPE` The meta object id for the '`Approximate Numeric Data Type`' class.
`static int` `APPROXIMATE_NUMERIC_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `APPROXIMATE_NUMERIC_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `APPROXIMATE_NUMERIC_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `APPROXIMATE_NUMERIC_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `APPROXIMATE_NUMERIC_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `APPROXIMATE_NUMERIC_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `APPROXIMATE_NUMERIC_DATA_TYPE__PRECISION` The feature id for the 'Precision' attribute.
`static int` `APPROXIMATE_NUMERIC_DATA_TYPE__PRIMITIVE_TYPE` The feature id for the 'Primitive Type' attribute.
`static int` `APPROXIMATE_NUMERIC_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `APPROXIMATE_NUMERIC_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Approximate Numeric Data Type' class.
`static int` `ARRAY_DATA_TYPE` The meta object id for the '`Array Data Type`' class.
`static int` `ARRAY_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `ARRAY_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `ARRAY_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `ARRAY_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `ARRAY_DATA_TYPE__ELEMENT` The feature id for the 'Element' reference list.
`static int` `ARRAY_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `ARRAY_DATA_TYPE__MAX_CARDINALITY` The feature id for the 'Max Cardinality' attribute.
`static int` `ARRAY_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `ARRAY_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `ARRAY_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Array Data Type' class.
`static int` `ATTRIBUTE_DEFINITION` The meta object id for the '`Attribute Definition`' class.
`static int` `ATTRIBUTE_DEFINITION__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `ATTRIBUTE_DEFINITION__CONTAINED_TYPE` The feature id for the 'Contained Type' containment reference.
`static int` `ATTRIBUTE_DEFINITION__DEFAULT_VALUE` The feature id for the 'Default Value' attribute.
`static int` `ATTRIBUTE_DEFINITION__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `ATTRIBUTE_DEFINITION__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `ATTRIBUTE_DEFINITION__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `ATTRIBUTE_DEFINITION__LABEL` The feature id for the 'Label' attribute.
`static int` `ATTRIBUTE_DEFINITION__NAME` The feature id for the 'Name' attribute.
`static int` `ATTRIBUTE_DEFINITION__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `ATTRIBUTE_DEFINITION__REFERENCED_TYPE` The feature id for the 'Referenced Type' reference.
`static int` `ATTRIBUTE_DEFINITION__SCOPE_CHECK` The feature id for the 'Scope Check' attribute.
`static int` `ATTRIBUTE_DEFINITION__SCOPE_CHECKED` The feature id for the 'Scope Checked' attribute.
`static int` `ATTRIBUTE_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Attribute Definition' class.
`static int` `BINARY_STRING_DATA_TYPE` The meta object id for the '`Binary String Data Type`' class.
`static int` `BINARY_STRING_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `BINARY_STRING_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `BINARY_STRING_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `BINARY_STRING_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `BINARY_STRING_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `BINARY_STRING_DATA_TYPE__LENGTH` The feature id for the 'Length' attribute.
`static int` `BINARY_STRING_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `BINARY_STRING_DATA_TYPE__PRIMITIVE_TYPE` The feature id for the 'Primitive Type' attribute.
`static int` `BINARY_STRING_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `BINARY_STRING_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Binary String Data Type' class.
`static int` `BOOLEAN_DATA_TYPE` The meta object id for the '`Boolean Data Type`' class.
`static int` `BOOLEAN_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `BOOLEAN_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `BOOLEAN_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `BOOLEAN_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `BOOLEAN_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `BOOLEAN_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `BOOLEAN_DATA_TYPE__PRIMITIVE_TYPE` The feature id for the 'Primitive Type' attribute.
`static int` `BOOLEAN_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `BOOLEAN_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Boolean Data Type' class.
`static int` `CHARACTER_SET` The meta object id for the '`Character Set`' class.
`static int` `CHARACTER_SET__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `CHARACTER_SET__DEFAULT_COLLATION` The feature id for the 'Default Collation' attribute.
`static int` `CHARACTER_SET__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `CHARACTER_SET__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `CHARACTER_SET__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `CHARACTER_SET__ENCODING` The feature id for the 'Encoding' attribute.
`static int` `CHARACTER_SET__LABEL` The feature id for the 'Label' attribute.
`static int` `CHARACTER_SET__NAME` The feature id for the 'Name' attribute.
`static int` `CHARACTER_SET__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `CHARACTER_SET__REPERTOIRE` The feature id for the 'Repertoire' attribute.
`static int` `CHARACTER_SET__SCHEMA` The feature id for the 'Schema' reference.
`static int` `CHARACTER_SET_FEATURE_COUNT` The number of structural features of the 'Character Set' class.
`static int` `CHARACTER_STRING_DATA_TYPE` The meta object id for the '`Character String Data Type`' class.
`static int` `CHARACTER_STRING_DATA_TYPE__CHARACTER_SET` The feature id for the 'Character Set' reference.
`static int` `CHARACTER_STRING_DATA_TYPE__COERCIBILITY` The feature id for the 'Coercibility' attribute.
`static int` `CHARACTER_STRING_DATA_TYPE__COLLATION_NAME` The feature id for the 'Collation Name' attribute.
`static int` `CHARACTER_STRING_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `CHARACTER_STRING_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `CHARACTER_STRING_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `CHARACTER_STRING_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `CHARACTER_STRING_DATA_TYPE__FIXED_LENGTH` The feature id for the 'Fixed Length' attribute.
`static int` `CHARACTER_STRING_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `CHARACTER_STRING_DATA_TYPE__LENGTH` The feature id for the 'Length' attribute.
`static int` `CHARACTER_STRING_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `CHARACTER_STRING_DATA_TYPE__PRIMITIVE_TYPE` The feature id for the 'Primitive Type' attribute.
`static int` `CHARACTER_STRING_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `CHARACTER_STRING_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Character String Data Type' class.
`static int` `COERCIBILITY_TYPE` The meta object id for the '`Coercibility Type`' enum.
`static int` `COLLECTION_DATA_TYPE` The meta object id for the '`Collection Data Type`' class.
`static int` `COLLECTION_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `COLLECTION_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `COLLECTION_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `COLLECTION_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `COLLECTION_DATA_TYPE__ELEMENT` The feature id for the 'Element' reference list.
`static int` `COLLECTION_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `COLLECTION_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `COLLECTION_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `COLLECTION_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Collection Data Type' class.
`static int` `CONSTRUCTED_DATA_TYPE` The meta object id for the '`Constructed Data Type`' class.
`static int` `CONSTRUCTED_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `CONSTRUCTED_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `CONSTRUCTED_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `CONSTRUCTED_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `CONSTRUCTED_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `CONSTRUCTED_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `CONSTRUCTED_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `CONSTRUCTED_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Constructed Data Type' class.
`static int` `DATA_LINK_DATA_TYPE` The meta object id for the '`Data Link Data Type`' class.
`static int` `DATA_LINK_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `DATA_LINK_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `DATA_LINK_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `DATA_LINK_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `DATA_LINK_DATA_TYPE__INTEGRITY_CONTROL` The feature id for the 'Integrity Control' attribute.
`static int` `DATA_LINK_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `DATA_LINK_DATA_TYPE__LENGTH` The feature id for the 'Length' attribute.
`static int` `DATA_LINK_DATA_TYPE__LINK_CONTROL` The feature id for the 'Link Control' attribute.
`static int` `DATA_LINK_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `DATA_LINK_DATA_TYPE__PRIMITIVE_TYPE` The feature id for the 'Primitive Type' attribute.
`static int` `DATA_LINK_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `DATA_LINK_DATA_TYPE__READ_PERMISSION` The feature id for the 'Read Permission' attribute.
`static int` `DATA_LINK_DATA_TYPE__RECOVERY` The feature id for the 'Recovery' attribute.
`static int` `DATA_LINK_DATA_TYPE__UNLINK` The feature id for the 'Unlink' attribute.
`static int` `DATA_LINK_DATA_TYPE__WRITE_PERMISSION` The feature id for the 'Write Permission' attribute.
`static int` `DATA_LINK_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Data Link Data Type' class.
`static int` `DATA_TYPE` The meta object id for the '`Data Type`' class.
`static int` `DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Data Type' class.
`static int` `DATE_DATA_TYPE` The meta object id for the '`Date Data Type`' class.
`static int` `DATE_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `DATE_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `DATE_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `DATE_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `DATE_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `DATE_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `DATE_DATA_TYPE__PRIMITIVE_TYPE` The feature id for the 'Primitive Type' attribute.
`static int` `DATE_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `DATE_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Date Data Type' class.
`static int` `DISTINCT_USER_DEFINED_TYPE` The meta object id for the '`Distinct User Defined Type`' class.
`static int` `DISTINCT_USER_DEFINED_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `DISTINCT_USER_DEFINED_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `DISTINCT_USER_DEFINED_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `DISTINCT_USER_DEFINED_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `DISTINCT_USER_DEFINED_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `DISTINCT_USER_DEFINED_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `DISTINCT_USER_DEFINED_TYPE__ORDERING` The feature id for the 'Ordering' containment reference.
`static int` `DISTINCT_USER_DEFINED_TYPE__PREDEFINED_REPRESENTATION` The feature id for the 'Predefined Representation' containment reference.
`static int` `DISTINCT_USER_DEFINED_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `DISTINCT_USER_DEFINED_TYPE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `DISTINCT_USER_DEFINED_TYPE_FEATURE_COUNT` The number of structural features of the 'Distinct User Defined Type' class.
`static int` `DOMAIN` The meta object id for the '`Domain`' class.
`static int` `DOMAIN__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `DOMAIN__CONSTRAINT` The feature id for the 'Constraint' containment reference list.
`static int` `DOMAIN__DEFAULT_VALUE` The feature id for the 'Default Value' attribute.
`static int` `DOMAIN__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `DOMAIN__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `DOMAIN__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `DOMAIN__LABEL` The feature id for the 'Label' attribute.
`static int` `DOMAIN__NAME` The feature id for the 'Name' attribute.
`static int` `DOMAIN__ORDERING` The feature id for the 'Ordering' containment reference.
`static int` `DOMAIN__PREDEFINED_REPRESENTATION` The feature id for the 'Predefined Representation' containment reference.
`static int` `DOMAIN__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `DOMAIN__SCHEMA` The feature id for the 'Schema' reference.
`static int` `DOMAIN_FEATURE_COUNT` The number of structural features of the 'Domain' class.
`static SQLDataTypesPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `EXACT_NUMERIC_DATA_TYPE` The meta object id for the '`Exact Numeric Data Type`' class.
`static int` `EXACT_NUMERIC_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `EXACT_NUMERIC_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `EXACT_NUMERIC_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `EXACT_NUMERIC_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `EXACT_NUMERIC_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `EXACT_NUMERIC_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `EXACT_NUMERIC_DATA_TYPE__PRECISION` The feature id for the 'Precision' attribute.
`static int` `EXACT_NUMERIC_DATA_TYPE__PRIMITIVE_TYPE` The feature id for the 'Primitive Type' attribute.
`static int` `EXACT_NUMERIC_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `EXACT_NUMERIC_DATA_TYPE__SCALE` The feature id for the 'Scale' attribute.
`static int` `EXACT_NUMERIC_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Exact Numeric Data Type' class.
`static int` `FIELD` The meta object id for the '`Field`' class.
`static int` `FIELD__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `FIELD__CONTAINED_TYPE` The feature id for the 'Contained Type' containment reference.
`static int` `FIELD__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `FIELD__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `FIELD__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `FIELD__LABEL` The feature id for the 'Label' attribute.
`static int` `FIELD__NAME` The feature id for the 'Name' attribute.
`static int` `FIELD__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `FIELD__REFERENCED_TYPE` The feature id for the 'Referenced Type' reference.
`static int` `FIELD__SCOPE_CHECK` The feature id for the 'Scope Check' attribute.
`static int` `FIELD__SCOPE_CHECKED` The feature id for the 'Scope Checked' attribute.
`static int` `FIELD_FEATURE_COUNT` The number of structural features of the 'Field' class.
`static int` `FIXED_PRECISION_DATA_TYPE` The meta object id for the '`Fixed Precision Data Type`' class.
`static int` `FIXED_PRECISION_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `FIXED_PRECISION_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `FIXED_PRECISION_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `FIXED_PRECISION_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `FIXED_PRECISION_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `FIXED_PRECISION_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `FIXED_PRECISION_DATA_TYPE__PRECISION` The feature id for the 'Precision' attribute.
`static int` `FIXED_PRECISION_DATA_TYPE__PRIMITIVE_TYPE` The feature id for the 'Primitive Type' attribute.
`static int` `FIXED_PRECISION_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `FIXED_PRECISION_DATA_TYPE__SCALE` The feature id for the 'Scale' attribute.
`static int` `FIXED_PRECISION_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Fixed Precision Data Type' class.
`static int` `INTEGER_DATA_TYPE` The meta object id for the '`Integer Data Type`' class.
`static int` `INTEGER_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `INTEGER_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `INTEGER_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `INTEGER_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `INTEGER_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `INTEGER_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `INTEGER_DATA_TYPE__PRECISION` The feature id for the 'Precision' attribute.
`static int` `INTEGER_DATA_TYPE__PRIMITIVE_TYPE` The feature id for the 'Primitive Type' attribute.
`static int` `INTEGER_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `INTEGER_DATA_TYPE__SCALE` The feature id for the 'Scale' attribute.
`static int` `INTEGER_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Integer Data Type' class.
`static int` `INTEGRITY_CONTROL_OPTION` The meta object id for the '`Integrity Control Option`' enum.
`static int` `INTERVAL_DATA_TYPE` The meta object id for the '`Interval Data Type`' class.
`static int` `INTERVAL_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `INTERVAL_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `INTERVAL_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `INTERVAL_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `INTERVAL_DATA_TYPE__FRACTIONAL_SECONDS_PRECISION` The feature id for the 'Fractional Seconds Precision' attribute.
`static int` `INTERVAL_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `INTERVAL_DATA_TYPE__LEADING_FIELD_PRECISION` The feature id for the 'Leading Field Precision' attribute.
`static int` `INTERVAL_DATA_TYPE__LEADING_QUALIFIER` The feature id for the 'Leading Qualifier' attribute.
`static int` `INTERVAL_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `INTERVAL_DATA_TYPE__PRIMITIVE_TYPE` The feature id for the 'Primitive Type' attribute.
`static int` `INTERVAL_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `INTERVAL_DATA_TYPE__TRAILING_FIELD_PRECISION` The feature id for the 'Trailing Field Precision' attribute.
`static int` `INTERVAL_DATA_TYPE__TRAILING_QUALIFIER` The feature id for the 'Trailing Qualifier' attribute.
`static int` `INTERVAL_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Interval Data Type' class.
`static int` `INTERVAL_QUALIFIER_TYPE` The meta object id for the '`Interval Qualifier Type`' enum.
`static int` `LINK_CONTROL_OPTION` The meta object id for the '`Link Control Option`' enum.
`static int` `MULTISET_DATA_TYPE` The meta object id for the '`Multiset Data Type`' class.
`static int` `MULTISET_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `MULTISET_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `MULTISET_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `MULTISET_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `MULTISET_DATA_TYPE__ELEMENT` The feature id for the 'Element' reference list.
`static int` `MULTISET_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `MULTISET_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `MULTISET_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `MULTISET_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Multiset Data Type' class.
`static int` `NUMERICAL_DATA_TYPE` The meta object id for the '`Numerical Data Type`' class.
`static int` `NUMERICAL_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `NUMERICAL_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `NUMERICAL_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `NUMERICAL_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `NUMERICAL_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `NUMERICAL_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `NUMERICAL_DATA_TYPE__PRECISION` The feature id for the 'Precision' attribute.
`static int` `NUMERICAL_DATA_TYPE__PRIMITIVE_TYPE` The feature id for the 'Primitive Type' attribute.
`static int` `NUMERICAL_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `NUMERICAL_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Numerical Data Type' class.
`static int` `ORDERING_CATEGORY_TYPE` The meta object id for the '`Ordering Category Type`' enum.
`static int` `ORDERING_TYPE` The meta object id for the '`Ordering Type`' enum.
`static int` `PREDEFINED_DATA_TYPE` The meta object id for the '`Predefined Data Type`' class.
`static int` `PREDEFINED_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `PREDEFINED_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `PREDEFINED_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `PREDEFINED_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `PREDEFINED_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `PREDEFINED_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `PREDEFINED_DATA_TYPE__PRIMITIVE_TYPE` The feature id for the 'Primitive Type' attribute.
`static int` `PREDEFINED_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `PREDEFINED_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Predefined Data Type' class.
`static int` `PRIMITIVE_TYPE` The meta object id for the '`Primitive Type`' enum.
`static int` `READ_PERMISSION_OPTION` The meta object id for the '`Read Permission Option`' enum.
`static int` `REFERENCE_DATA_TYPE` The meta object id for the '`Reference Data Type`' class.
`static int` `REFERENCE_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `REFERENCE_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `REFERENCE_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `REFERENCE_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `REFERENCE_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `REFERENCE_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `REFERENCE_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `REFERENCE_DATA_TYPE__REFERENCED_TYPE` The feature id for the 'Referenced Type' reference.
`static int` `REFERENCE_DATA_TYPE__SCOPE_TABLE` The feature id for the 'Scope Table' reference.
`static int` `REFERENCE_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Reference Data Type' class.
`static int` `ROW_DATA_TYPE` The meta object id for the '`Row Data Type`' class.
`static int` `ROW_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `ROW_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `ROW_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `ROW_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `ROW_DATA_TYPE__FIELDS` The feature id for the 'Fields' containment reference list.
`static int` `ROW_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `ROW_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `ROW_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `ROW_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Row Data Type' class.
`static int` `SQL_DATA_TYPE` The meta object id for the '`SQL Data Type`' class.
`static int` `SQL_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SQL_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SQL_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SQL_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SQL_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `SQL_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `SQL_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SQL_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'SQL Data Type' class.
`static int` `STRUCTURED_USER_DEFINED_TYPE` The meta object id for the '`Structured User Defined Type`' class.
`static int` `STRUCTURED_USER_DEFINED_TYPE__ATTRIBUTES` The feature id for the 'Attributes' containment reference list.
`static int` `STRUCTURED_USER_DEFINED_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `STRUCTURED_USER_DEFINED_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `STRUCTURED_USER_DEFINED_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `STRUCTURED_USER_DEFINED_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `STRUCTURED_USER_DEFINED_TYPE__FINAL` The feature id for the 'Final' attribute.
`static int` `STRUCTURED_USER_DEFINED_TYPE__INSTANTIABLE` The feature id for the 'Instantiable' attribute.
`static int` `STRUCTURED_USER_DEFINED_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `STRUCTURED_USER_DEFINED_TYPE__METHODS` The feature id for the 'Methods' containment reference list.
`static int` `STRUCTURED_USER_DEFINED_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `STRUCTURED_USER_DEFINED_TYPE__ORDERING` The feature id for the 'Ordering' containment reference.
`static int` `STRUCTURED_USER_DEFINED_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `STRUCTURED_USER_DEFINED_TYPE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `STRUCTURED_USER_DEFINED_TYPE__SUB` The feature id for the 'Sub' reference list.
`static int` `STRUCTURED_USER_DEFINED_TYPE__SUPER` The feature id for the 'Super' reference.
`static int` `STRUCTURED_USER_DEFINED_TYPE_FEATURE_COUNT` The number of structural features of the 'Structured User Defined Type' class.
`static int` `TIME_DATA_TYPE` The meta object id for the '`Time Data Type`' class.
`static int` `TIME_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `TIME_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `TIME_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `TIME_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `TIME_DATA_TYPE__FRACTIONAL_SECONDS_PRECISION` The feature id for the 'Fractional Seconds Precision' attribute.
`static int` `TIME_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `TIME_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `TIME_DATA_TYPE__PRIMITIVE_TYPE` The feature id for the 'Primitive Type' attribute.
`static int` `TIME_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `TIME_DATA_TYPE__TIME_ZONE` The feature id for the 'Time Zone' attribute.
`static int` `TIME_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Time Data Type' class.
`static int` `UNLINK_OPTION` The meta object id for the '`Unlink Option`' enum.
`static int` `USER_DEFINED_TYPE` The meta object id for the '`User Defined Type`' class.
`static int` `USER_DEFINED_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `USER_DEFINED_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `USER_DEFINED_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `USER_DEFINED_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `USER_DEFINED_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `USER_DEFINED_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `USER_DEFINED_TYPE__ORDERING` The feature id for the 'Ordering' containment reference.
`static int` `USER_DEFINED_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `USER_DEFINED_TYPE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `USER_DEFINED_TYPE_FEATURE_COUNT` The number of structural features of the 'User Defined Type' class.
`static int` `USER_DEFINED_TYPE_ORDERING` The meta object id for the '`User Defined Type Ordering`' class.
`static int` `USER_DEFINED_TYPE_ORDERING__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `USER_DEFINED_TYPE_ORDERING__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `USER_DEFINED_TYPE_ORDERING__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `USER_DEFINED_TYPE_ORDERING__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `USER_DEFINED_TYPE_ORDERING__LABEL` The feature id for the 'Label' attribute.
`static int` `USER_DEFINED_TYPE_ORDERING__NAME` The feature id for the 'Name' attribute.
`static int` `USER_DEFINED_TYPE_ORDERING__ORDERING_CATEGORY` The feature id for the 'Ordering Category' attribute.
`static int` `USER_DEFINED_TYPE_ORDERING__ORDERING_FORM` The feature id for the 'Ordering Form' attribute.
`static int` `USER_DEFINED_TYPE_ORDERING__ORDERING_ROUTINE` The feature id for the 'Ordering Routine' reference.
`static int` `USER_DEFINED_TYPE_ORDERING__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `USER_DEFINED_TYPE_ORDERING_FEATURE_COUNT` The number of structural features of the 'User Defined Type Ordering' class.
`static int` `WRITE_PERMISSION_OPTION` The meta object id for the '`Write Permission Option`' enum.
`static int` `XML_DATA_TYPE` The meta object id for the '`XML Data Type`' class.
`static int` `XML_DATA_TYPE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `XML_DATA_TYPE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `XML_DATA_TYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `XML_DATA_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `XML_DATA_TYPE__LABEL` The feature id for the 'Label' attribute.
`static int` `XML_DATA_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `XML_DATA_TYPE__PRIMITIVE_TYPE` The feature id for the 'Primitive Type' attribute.
`static int` `XML_DATA_TYPE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `XML_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'XML Data Type' class.

Method Summary
`EClass` `getApproximateNumericDataType()` Returns the meta object for class '`Approximate Numeric Data Type`'.
`EAttribute` `getArrayDataType_MaxCardinality()` Returns the meta object for the attribute '`Max Cardinality`'.
`EClass` `getArrayDataType()` Returns the meta object for class '`Array Data Type`'.
`EAttribute` `getAttributeDefinition_DefaultValue()` Returns the meta object for the attribute '`Default Value`'.
`EAttribute` `getAttributeDefinition_ScopeCheck()` Returns the meta object for the attribute '`Scope Check`'.
`EAttribute` `getAttributeDefinition_ScopeChecked()` Returns the meta object for the attribute '`Scope Checked`'.
`EClass` `getAttributeDefinition()` Returns the meta object for class '`Attribute Definition`'.
`EAttribute` `getBinaryStringDataType_Length()` Returns the meta object for the attribute '`Length`'.
`EClass` `getBinaryStringDataType()` Returns the meta object for class '`Binary String Data Type`'.
`EClass` `getBooleanDataType()` Returns the meta object for class '`Boolean Data Type`'.
`EAttribute` `getCharacterSet_DefaultCollation()` Returns the meta object for the attribute '`Default Collation`'.
`EAttribute` `getCharacterSet_Encoding()` Returns the meta object for the attribute '`Encoding`'.
`EAttribute` `getCharacterSet_Repertoire()` Returns the meta object for the attribute '`Repertoire`'.
`EReference` `getCharacterSet_Schema()` Returns the meta object for the reference '`Schema`'.
`EClass` `getCharacterSet()` Returns the meta object for class '`Character Set`'.
`EReference` `getCharacterStringDataType_CharacterSet()` Returns the meta object for the reference '`Character Set`'.
`EAttribute` `getCharacterStringDataType_Coercibility()` Returns the meta object for the attribute '`Coercibility`'.
`EAttribute` `getCharacterStringDataType_CollationName()` Returns the meta object for the attribute '`Collation Name`'.
`EAttribute` `getCharacterStringDataType_FixedLength()` Returns the meta object for the attribute '`Fixed Length`'.
`EAttribute` `getCharacterStringDataType_Length()` Returns the meta object for the attribute '`Length`'.
`EClass` `getCharacterStringDataType()` Returns the meta object for class '`Character String Data Type`'.
`EEnum` `getCoercibilityType()` Returns the meta object for enum '`Coercibility Type`'.
`EReference` `getCollectionDataType_Element()` Returns the meta object for the reference list '`Element`'.
`EClass` `getCollectionDataType()` Returns the meta object for class '`Collection Data Type`'.
`EClass` `getConstructedDataType()` Returns the meta object for class '`Constructed Data Type`'.
`EAttribute` `getDataLinkDataType_IntegrityControl()` Returns the meta object for the attribute '`Integrity Control`'.
`EAttribute` `getDataLinkDataType_Length()` Returns the meta object for the attribute '`Length`'.
`EAttribute` `getDataLinkDataType_LinkControl()` Returns the meta object for the attribute '`Link Control`'.
`EAttribute` `getDataLinkDataType_ReadPermission()` Returns the meta object for the attribute '`Read Permission`'.
`EAttribute` `getDataLinkDataType_Recovery()` Returns the meta object for the attribute '`Recovery`'.
`EAttribute` `getDataLinkDataType_Unlink()` Returns the meta object for the attribute '`Unlink`'.
`EAttribute` `getDataLinkDataType_WritePermission()` Returns the meta object for the attribute '`Write Permission`'.
`EClass` `getDataLinkDataType()` Returns the meta object for class '`Data Link Data Type`'.
`EClass` `getDataType()` Returns the meta object for class '`Data Type`'.
`EClass` `getDateDataType()` Returns the meta object for class '`Date Data Type`'.
`EReference` `getDistinctUserDefinedType_PredefinedRepresentation()` Returns the meta object for the containment reference '`Predefined Representation`'.
`EClass` `getDistinctUserDefinedType()` Returns the meta object for class '`Distinct User Defined Type`'.
`EReference` `getDomain_Constraint()` Returns the meta object for the containment reference list '`Constraint`'.
`EAttribute` `getDomain_DefaultValue()` Returns the meta object for the attribute '`Default Value`'.
`EClass` `getDomain()` Returns the meta object for class '`Domain`'.
`EAttribute` `getExactNumericDataType_Scale()` Returns the meta object for the attribute '`Scale`'.
`EClass` `getExactNumericDataType()` Returns the meta object for class '`Exact Numeric Data Type`'.
`EAttribute` `getField_ScopeCheck()` Returns the meta object for the attribute '`Scope Check`'.
`EAttribute` `getField_ScopeChecked()` Returns the meta object for the attribute '`Scope Checked`'.
`EClass` `getField()` Returns the meta object for class '`Field`'.
`EClass` `getFixedPrecisionDataType()` Returns the meta object for class '`Fixed Precision Data Type`'.
`EClass` `getIntegerDataType()` Returns the meta object for class '`Integer Data Type`'.
`EEnum` `getIntegrityControlOption()` Returns the meta object for enum '`Integrity Control Option`'.
`EAttribute` `getIntervalDataType_FractionalSecondsPrecision()` Returns the meta object for the attribute '`Fractional Seconds Precision`'.
`EAttribute` `getIntervalDataType_LeadingFieldPrecision()` Returns the meta object for the attribute '`Leading Field Precision`'.
`EAttribute` `getIntervalDataType_LeadingQualifier()` Returns the meta object for the attribute '`Leading Qualifier`'.
`EAttribute` `getIntervalDataType_TrailingFieldPrecision()` Returns the meta object for the attribute '`Trailing Field Precision`'.
`EAttribute` `getIntervalDataType_TrailingQualifier()` Returns the meta object for the attribute '`Trailing Qualifier`'.
`EClass` `getIntervalDataType()` Returns the meta object for class '`Interval Data Type`'.
`EEnum` `getIntervalQualifierType()` Returns the meta object for enum '`Interval Qualifier Type`'.
`EEnum` `getLinkControlOption()` Returns the meta object for enum '`Link Control Option`'.
`EClass` `getMultisetDataType()` Returns the meta object for class '`Multiset Data Type`'.
`EAttribute` `getNumericalDataType_Precision()` Returns the meta object for the attribute '`Precision`'.
`EClass` `getNumericalDataType()` Returns the meta object for class '`Numerical Data Type`'.
`EEnum` `getOrderingCategoryType()` Returns the meta object for enum '`Ordering Category Type`'.
`EEnum` `getOrderingType()` Returns the meta object for enum '`Ordering Type`'.
`EAttribute` `getPredefinedDataType_PrimitiveType()` Returns the meta object for the attribute '`Primitive Type`'.
`EClass` `getPredefinedDataType()` Returns the meta object for class '`Predefined Data Type`'.
`EEnum` `getPrimitiveType()` Returns the meta object for enum '`Primitive Type`'.
`EEnum` `getReadPermissionOption()` Returns the meta object for enum '`Read Permission Option`'.
`EReference` `getReferenceDataType_ReferencedType()` Returns the meta object for the reference '`Referenced Type`'.
`EReference` `getReferenceDataType_ScopeTable()` Returns the meta object for the reference '`Scope Table`'.
`EClass` `getReferenceDataType()` Returns the meta object for class '`Reference Data Type`'.
`EReference` `getRowDataType_Fields()` Returns the meta object for the containment reference list '`Fields`'.
`EClass` `getRowDataType()` Returns the meta object for class '`Row Data Type`'.
`EClass` `getSQLDataType()` Returns the meta object for class '`SQL Data Type`'.
`SQLDataTypesFactory` `getSQLDataTypesFactory()` Returns the factory that creates the instances of the model.
`EReference` `getStructuredUserDefinedType_Attributes()` Returns the meta object for the containment reference list '`Attributes`'.
`EAttribute` `getStructuredUserDefinedType_Final()` Returns the meta object for the attribute '`Final`'.
`EAttribute` `getStructuredUserDefinedType_Instantiable()` Returns the meta object for the attribute '`Instantiable`'.
`EReference` `getStructuredUserDefinedType_Methods()` Returns the meta object for the containment reference list '`Methods`'.
`EReference` `getStructuredUserDefinedType_Sub()` Returns the meta object for the reference list '`Sub`'.
`EReference` `getStructuredUserDefinedType_Super()` Returns the meta object for the reference '`Super`'.
`EClass` `getStructuredUserDefinedType()` Returns the meta object for class '`Structured User Defined Type`'.
`EAttribute` `getTimeDataType_FractionalSecondsPrecision()` Returns the meta object for the attribute '`Fractional Seconds Precision`'.
`EAttribute` `getTimeDataType_TimeZone()` Returns the meta object for the attribute '`Time Zone`'.
`EClass` `getTimeDataType()` Returns the meta object for class '`Time Data Type`'.
`EEnum` `getUnlinkOption()` Returns the meta object for enum '`Unlink Option`'.
`EReference` `getUserDefinedType_Ordering()` Returns the meta object for the containment reference '`Ordering`'.
`EReference` `getUserDefinedType_Schema()` Returns the meta object for the reference '`Schema`'.
`EClass` `getUserDefinedType()` Returns the meta object for class '`User Defined Type`'.
`EAttribute` `getUserDefinedTypeOrdering_OrderingCategory()` Returns the meta object for the attribute '`Ordering Category`'.
`EAttribute` `getUserDefinedTypeOrdering_OrderingForm()` Returns the meta object for the attribute '`Ordering Form`'.
`EReference` `getUserDefinedTypeOrdering_OrderingRoutine()` Returns the meta object for the reference '`Ordering Routine`'.
`EClass` `getUserDefinedTypeOrdering()` Returns the meta object for class '`User Defined Type Ordering`'.
`EEnum` `getWritePermissionOption()` Returns the meta object for enum '`Write Permission Option`'.
`EClass` `getXMLDataType()` Returns the meta object for class '`XML Data Type`'.

Field Detail

### eNAME

    public static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    public static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    public static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    public static final SQLDataTypesPackage eINSTANCE

  The singleton instance of the package.

### DATA_TYPE

    public static final int DATA_TYPE

  The meta object id for the '`Data Type`' class.

  See Also:
    `DataTypeImpl`, `SQLDataTypesPackageImpl.getDataType()`, Constant Field Values

### DATA_TYPE__EANNOTATIONS

    public static final int DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### DATA_TYPE__NAME

    public static final int DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

### DATA_TYPE__DEPENDENCIES

    public static final int DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### DATA_TYPE__DESCRIPTION

    public static final int DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### DATA_TYPE__LABEL

    public static final int DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

### DATA_TYPE__COMMENTS

    public static final int DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### DATA_TYPE__PRIVILEGES

    public static final int DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### DATA_TYPE_FEATURE_COUNT

    public static final int DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Data Type' class.

### USER_DEFINED_TYPE

    public static final int USER_DEFINED_TYPE

  The meta object id for the '`User Defined Type`' class.

  See Also:
    `UserDefinedTypeImpl`, `SQLDataTypesPackageImpl.getUserDefinedType()`, Constant Field Values

### USER_DEFINED_TYPE__EANNOTATIONS

    public static final int USER_DEFINED_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### USER_DEFINED_TYPE__NAME

    public static final int USER_DEFINED_TYPE__NAME

  The feature id for the 'Name' attribute.

### USER_DEFINED_TYPE__DEPENDENCIES

    public static final int USER_DEFINED_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### USER_DEFINED_TYPE__DESCRIPTION

    public static final int USER_DEFINED_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### USER_DEFINED_TYPE__LABEL

    public static final int USER_DEFINED_TYPE__LABEL

  The feature id for the 'Label' attribute.

### USER_DEFINED_TYPE__COMMENTS

    public static final int USER_DEFINED_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### USER_DEFINED_TYPE__PRIVILEGES

    public static final int USER_DEFINED_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### USER_DEFINED_TYPE__SCHEMA

    public static final int USER_DEFINED_TYPE__SCHEMA

  The feature id for the 'Schema' reference.

### USER_DEFINED_TYPE__ORDERING

    public static final int USER_DEFINED_TYPE__ORDERING

  The feature id for the 'Ordering' containment reference.

### USER_DEFINED_TYPE_FEATURE_COUNT

    public static final int USER_DEFINED_TYPE_FEATURE_COUNT

  The number of structural features of the 'User Defined Type' class.

### SQL_DATA_TYPE

    public static final int SQL_DATA_TYPE

  The meta object id for the '`SQL Data Type`' class.

  See Also:
    `SQLDataTypeImpl`, `SQLDataTypesPackageImpl.getSQLDataType()`, Constant Field Values

### SQL_DATA_TYPE__EANNOTATIONS

    public static final int SQL_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### SQL_DATA_TYPE__NAME

    public static final int SQL_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

### SQL_DATA_TYPE__DEPENDENCIES

    public static final int SQL_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### SQL_DATA_TYPE__DESCRIPTION

    public static final int SQL_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### SQL_DATA_TYPE__LABEL

    public static final int SQL_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

### SQL_DATA_TYPE__COMMENTS

    public static final int SQL_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### SQL_DATA_TYPE__PRIVILEGES

    public static final int SQL_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### SQL_DATA_TYPE_FEATURE_COUNT

    public static final int SQL_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'SQL Data Type' class.

### PREDEFINED_DATA_TYPE

    public static final int PREDEFINED_DATA_TYPE

  The meta object id for the '`Predefined Data Type`' class.

  See Also:
    `PredefinedDataTypeImpl`, `SQLDataTypesPackageImpl.getPredefinedDataType()`, Constant Field Values

### PREDEFINED_DATA_TYPE__EANNOTATIONS

    public static final int PREDEFINED_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### PREDEFINED_DATA_TYPE__NAME

    public static final int PREDEFINED_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

### PREDEFINED_DATA_TYPE__DEPENDENCIES

    public static final int PREDEFINED_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### PREDEFINED_DATA_TYPE__DESCRIPTION

    public static final int PREDEFINED_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### PREDEFINED_DATA_TYPE__LABEL

    public static final int PREDEFINED_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

### PREDEFINED_DATA_TYPE__COMMENTS

    public static final int PREDEFINED_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### PREDEFINED_DATA_TYPE__PRIVILEGES

    public static final int PREDEFINED_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### PREDEFINED_DATA_TYPE__PRIMITIVE_TYPE

    public static final int PREDEFINED_DATA_TYPE__PRIMITIVE_TYPE

  The feature id for the 'Primitive Type' attribute.

### PREDEFINED_DATA_TYPE_FEATURE_COUNT

    public static final int PREDEFINED_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Predefined Data Type' class.

### CONSTRUCTED_DATA_TYPE

    public static final int CONSTRUCTED_DATA_TYPE

  The meta object id for the '`Constructed Data Type`' class.

  See Also:
    `ConstructedDataTypeImpl`, `SQLDataTypesPackageImpl.getConstructedDataType()`, Constant Field Values

### CONSTRUCTED_DATA_TYPE__EANNOTATIONS

    public static final int CONSTRUCTED_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### CONSTRUCTED_DATA_TYPE__NAME

    public static final int CONSTRUCTED_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

### CONSTRUCTED_DATA_TYPE__DEPENDENCIES

    public static final int CONSTRUCTED_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### CONSTRUCTED_DATA_TYPE__DESCRIPTION

    public static final int CONSTRUCTED_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### CONSTRUCTED_DATA_TYPE__LABEL

    public static final int CONSTRUCTED_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

### CONSTRUCTED_DATA_TYPE__COMMENTS

    public static final int CONSTRUCTED_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### CONSTRUCTED_DATA_TYPE__PRIVILEGES

    public static final int CONSTRUCTED_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### CONSTRUCTED_DATA_TYPE_FEATURE_COUNT

    public static final int CONSTRUCTED_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Constructed Data Type' class.

### COLLECTION_DATA_TYPE

    public static final int COLLECTION_DATA_TYPE

  The meta object id for the '`Collection Data Type`' class.

  See Also:
    `CollectionDataTypeImpl`, `SQLDataTypesPackageImpl.getCollectionDataType()`, Constant Field Values

### COLLECTION_DATA_TYPE__EANNOTATIONS

    public static final int COLLECTION_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### COLLECTION_DATA_TYPE__NAME

    public static final int COLLECTION_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

### COLLECTION_DATA_TYPE__DEPENDENCIES

    public static final int COLLECTION_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### COLLECTION_DATA_TYPE__DESCRIPTION

    public static final int COLLECTION_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### COLLECTION_DATA_TYPE__LABEL

    public static final int COLLECTION_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

### COLLECTION_DATA_TYPE__COMMENTS

    public static final int COLLECTION_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### COLLECTION_DATA_TYPE__PRIVILEGES

    public static final int COLLECTION_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### COLLECTION_DATA_TYPE__ELEMENT

    public static final int COLLECTION_DATA_TYPE__ELEMENT

  The feature id for the 'Element' reference list.

### COLLECTION_DATA_TYPE_FEATURE_COUNT

    public static final int COLLECTION_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Collection Data Type' class.

### NUMERICAL_DATA_TYPE

    public static final int NUMERICAL_DATA_TYPE

  The meta object id for the '`Numerical Data Type`' class.

  See Also:
    `NumericalDataTypeImpl`, `SQLDataTypesPackageImpl.getNumericalDataType()`, Constant Field Values

### NUMERICAL_DATA_TYPE__EANNOTATIONS

    public static final int NUMERICAL_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### NUMERICAL_DATA_TYPE__NAME

    public static final int NUMERICAL_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

### NUMERICAL_DATA_TYPE__DEPENDENCIES

    public static final int NUMERICAL_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### NUMERICAL_DATA_TYPE__DESCRIPTION

    public static final int NUMERICAL_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### NUMERICAL_DATA_TYPE__LABEL

    public static final int NUMERICAL_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

### NUMERICAL_DATA_TYPE__COMMENTS

    public static final int NUMERICAL_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### NUMERICAL_DATA_TYPE__PRIVILEGES

    public static final int NUMERICAL_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### NUMERICAL_DATA_TYPE__PRIMITIVE_TYPE

    public static final int NUMERICAL_DATA_TYPE__PRIMITIVE_TYPE

  The feature id for the 'Primitive Type' attribute.

### NUMERICAL_DATA_TYPE__PRECISION

    public static final int NUMERICAL_DATA_TYPE__PRECISION

  The feature id for the 'Precision' attribute.

### NUMERICAL_DATA_TYPE_FEATURE_COUNT

    public static final int NUMERICAL_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Numerical Data Type' class.

### CHARACTER_STRING_DATA_TYPE

    public static final int CHARACTER_STRING_DATA_TYPE

  The meta object id for the '`Character String Data Type`' class.

  See Also:
    `CharacterStringDataTypeImpl`, `SQLDataTypesPackageImpl.getCharacterStringDataType()`, Constant Field Values

### CHARACTER_STRING_DATA_TYPE__EANNOTATIONS

    public static final int CHARACTER_STRING_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### CHARACTER_STRING_DATA_TYPE__NAME

    public static final int CHARACTER_STRING_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

### CHARACTER_STRING_DATA_TYPE__DEPENDENCIES

    public static final int CHARACTER_STRING_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### CHARACTER_STRING_DATA_TYPE__DESCRIPTION

    public static final int CHARACTER_STRING_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### CHARACTER_STRING_DATA_TYPE__LABEL

    public static final int CHARACTER_STRING_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

### CHARACTER_STRING_DATA_TYPE__COMMENTS

    public static final int CHARACTER_STRING_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### CHARACTER_STRING_DATA_TYPE__PRIVILEGES

    public static final int CHARACTER_STRING_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### CHARACTER_STRING_DATA_TYPE__PRIMITIVE_TYPE

    public static final int CHARACTER_STRING_DATA_TYPE__PRIMITIVE_TYPE

  The feature id for the 'Primitive Type' attribute.

### CHARACTER_STRING_DATA_TYPE__LENGTH

    public static final int CHARACTER_STRING_DATA_TYPE__LENGTH

  The feature id for the 'Length' attribute.

### CHARACTER_STRING_DATA_TYPE__COERCIBILITY

    public static final int CHARACTER_STRING_DATA_TYPE__COERCIBILITY

  The feature id for the 'Coercibility' attribute.

### CHARACTER_STRING_DATA_TYPE__FIXED_LENGTH

    public static final int CHARACTER_STRING_DATA_TYPE__FIXED_LENGTH

  The feature id for the 'Fixed Length' attribute.

### CHARACTER_STRING_DATA_TYPE__COLLATION_NAME

    public static final int CHARACTER_STRING_DATA_TYPE__COLLATION_NAME

  The feature id for the 'Collation Name' attribute.

### CHARACTER_STRING_DATA_TYPE__CHARACTER_SET

    public static final int CHARACTER_STRING_DATA_TYPE__CHARACTER_SET

  The feature id for the 'Character Set' reference.

### CHARACTER_STRING_DATA_TYPE_FEATURE_COUNT

    public static final int CHARACTER_STRING_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Character String Data Type' class.

### ROW_DATA_TYPE

    public static final int ROW_DATA_TYPE

  The meta object id for the '`Row Data Type`' class.

  See Also:
    `RowDataTypeImpl`, `SQLDataTypesPackageImpl.getRowDataType()`, Constant Field Values

### ROW_DATA_TYPE__EANNOTATIONS

    public static final int ROW_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### ROW_DATA_TYPE__NAME

    public static final int ROW_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

### ROW_DATA_TYPE__DEPENDENCIES

    public static final int ROW_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### ROW_DATA_TYPE__DESCRIPTION

    public static final int ROW_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### ROW_DATA_TYPE__LABEL

    public static final int ROW_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

### ROW_DATA_TYPE__COMMENTS

    public static final int ROW_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### ROW_DATA_TYPE__PRIVILEGES

    public static final int ROW_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### ROW_DATA_TYPE__FIELDS

    public static final int ROW_DATA_TYPE__FIELDS

  The feature id for the 'Fields' containment reference list.

### ROW_DATA_TYPE_FEATURE_COUNT

    public static final int ROW_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Row Data Type' class.

### ARRAY_DATA_TYPE

    public static final int ARRAY_DATA_TYPE

  The meta object id for the '`Array Data Type`' class.

  See Also:
    `ArrayDataTypeImpl`, `SQLDataTypesPackageImpl.getArrayDataType()`, Constant Field Values

### ARRAY_DATA_TYPE__EANNOTATIONS

    public static final int ARRAY_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### ARRAY_DATA_TYPE__NAME

    public static final int ARRAY_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

### ARRAY_DATA_TYPE__DEPENDENCIES

    public static final int ARRAY_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### ARRAY_DATA_TYPE__DESCRIPTION

    public static final int ARRAY_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### ARRAY_DATA_TYPE__LABEL

    public static final int ARRAY_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

### ARRAY_DATA_TYPE__COMMENTS

    public static final int ARRAY_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### ARRAY_DATA_TYPE__PRIVILEGES

    public static final int ARRAY_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### ARRAY_DATA_TYPE__ELEMENT

    public static final int ARRAY_DATA_TYPE__ELEMENT

  The feature id for the 'Element' reference list.

### ARRAY_DATA_TYPE__MAX_CARDINALITY

    public static final int ARRAY_DATA_TYPE__MAX_CARDINALITY

  The feature id for the 'Max Cardinality' attribute.

### ARRAY_DATA_TYPE_FEATURE_COUNT

    public static final int ARRAY_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Array Data Type' class.

### MULTISET_DATA_TYPE

    public static final int MULTISET_DATA_TYPE

  The meta object id for the '`Multiset Data Type`' class.

  See Also:
    `MultisetDataTypeImpl`, `SQLDataTypesPackageImpl.getMultisetDataType()`, Constant Field Values

### MULTISET_DATA_TYPE__EANNOTATIONS

    public static final int MULTISET_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### MULTISET_DATA_TYPE__NAME

    public static final int MULTISET_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

### MULTISET_DATA_TYPE__DEPENDENCIES

    public static final int MULTISET_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### MULTISET_DATA_TYPE__DESCRIPTION

    public static final int MULTISET_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### MULTISET_DATA_TYPE__LABEL

    public static final int MULTISET_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

### MULTISET_DATA_TYPE__COMMENTS

    public static final int MULTISET_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### MULTISET_DATA_TYPE__PRIVILEGES

    public static final int MULTISET_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### MULTISET_DATA_TYPE__ELEMENT

    public static final int MULTISET_DATA_TYPE__ELEMENT

  The feature id for the 'Element' reference list.

### MULTISET_DATA_TYPE_FEATURE_COUNT

    public static final int MULTISET_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Multiset Data Type' class.

### BOOLEAN_DATA_TYPE

    public static final int BOOLEAN_DATA_TYPE

  The meta object id for the '`Boolean Data Type`' class.

  See Also:
    `BooleanDataTypeImpl`, `SQLDataTypesPackageImpl.getBooleanDataType()`, Constant Field Values

### BOOLEAN_DATA_TYPE__EANNOTATIONS

    public static final int BOOLEAN_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### BOOLEAN_DATA_TYPE__NAME

    public static final int BOOLEAN_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

### BOOLEAN_DATA_TYPE__DEPENDENCIES

    public static final int BOOLEAN_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### BOOLEAN_DATA_TYPE__DESCRIPTION

    public static final int BOOLEAN_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### BOOLEAN_DATA_TYPE__LABEL

    public static final int BOOLEAN_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

### BOOLEAN_DATA_TYPE__COMMENTS

    public static final int BOOLEAN_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### BOOLEAN_DATA_TYPE__PRIVILEGES

    public static final int BOOLEAN_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### BOOLEAN_DATA_TYPE__PRIMITIVE_TYPE

    public static final int BOOLEAN_DATA_TYPE__PRIMITIVE_TYPE

  The feature id for the 'Primitive Type' attribute.

### BOOLEAN_DATA_TYPE_FEATURE_COUNT

    public static final int BOOLEAN_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Boolean Data Type' class.

### INTERVAL_DATA_TYPE

    public static final int INTERVAL_DATA_TYPE

  The meta object id for the '`Interval Data Type`' class.

  See Also:
    `IntervalDataTypeImpl`, `SQLDataTypesPackageImpl.getIntervalDataType()`, Constant Field Values

### INTERVAL_DATA_TYPE__EANNOTATIONS

    public static final int INTERVAL_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### INTERVAL_DATA_TYPE__NAME

    public static final int INTERVAL_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

### INTERVAL_DATA_TYPE__DEPENDENCIES

    public static final int INTERVAL_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### INTERVAL_DATA_TYPE__DESCRIPTION

    public static final int INTERVAL_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### INTERVAL_DATA_TYPE__LABEL

    public static final int INTERVAL_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

### INTERVAL_DATA_TYPE__COMMENTS

    public static final int INTERVAL_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### INTERVAL_DATA_TYPE__PRIVILEGES

    public static final int INTERVAL_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### INTERVAL_DATA_TYPE__PRIMITIVE_TYPE

    public static final int INTERVAL_DATA_TYPE__PRIMITIVE_TYPE

  The feature id for the 'Primitive Type' attribute.

### INTERVAL_DATA_TYPE__LEADING_QUALIFIER

    public static final int INTERVAL_DATA_TYPE__LEADING_QUALIFIER

  The feature id for the 'Leading Qualifier' attribute.

### INTERVAL_DATA_TYPE__TRAILING_QUALIFIER

    public static final int INTERVAL_DATA_TYPE__TRAILING_QUALIFIER

  The feature id for the 'Trailing Qualifier' attribute.

### INTERVAL_DATA_TYPE__LEADING_FIELD_PRECISION

    public static final int INTERVAL_DATA_TYPE__LEADING_FIELD_PRECISION

  The feature id for the 'Leading Field Precision' attribute.

### INTERVAL_DATA_TYPE__TRAILING_FIELD_PRECISION

    public static final int INTERVAL_DATA_TYPE__TRAILING_FIELD_PRECISION

  The feature id for the 'Trailing Field Precision' attribute.

### INTERVAL_DATA_TYPE__FRACTIONAL_SECONDS_PRECISION

    public static final int INTERVAL_DATA_TYPE__FRACTIONAL_SECONDS_PRECISION

  The feature id for the 'Fractional Seconds Precision' attribute.

### INTERVAL_DATA_TYPE_FEATURE_COUNT

    public static final int INTERVAL_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Interval Data Type' class.

### BINARY_STRING_DATA_TYPE

    public static final int BINARY_STRING_DATA_TYPE

  The meta object id for the '`Binary String Data Type`' class.

  See Also:
    `BinaryStringDataTypeImpl`, `SQLDataTypesPackageImpl.getBinaryStringDataType()`, Constant Field Values

### BINARY_STRING_DATA_TYPE__EANNOTATIONS

    public static final int BINARY_STRING_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### BINARY_STRING_DATA_TYPE__NAME

    public static final int BINARY_STRING_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

### BINARY_STRING_DATA_TYPE__DEPENDENCIES

    public static final int BINARY_STRING_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### BINARY_STRING_DATA_TYPE__DESCRIPTION

    public static final int BINARY_STRING_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### BINARY_STRING_DATA_TYPE__LABEL

    public static final int BINARY_STRING_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

### BINARY_STRING_DATA_TYPE__COMMENTS

    public static final int BINARY_STRING_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### BINARY_STRING_DATA_TYPE__PRIVILEGES

    public static final int BINARY_STRING_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### BINARY_STRING_DATA_TYPE__PRIMITIVE_TYPE

    public static final int BINARY_STRING_DATA_TYPE__PRIMITIVE_TYPE

  The feature id for the 'Primitive Type' attribute.

### BINARY_STRING_DATA_TYPE__LENGTH

    public static final int BINARY_STRING_DATA_TYPE__LENGTH

  The feature id for the 'Length' attribute.

### BINARY_STRING_DATA_TYPE_FEATURE_COUNT

    public static final int BINARY_STRING_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Binary String Data Type' class.

### CHARACTER_SET

    public static final int CHARACTER_SET

  The meta object id for the '`Character Set`' class.

  See Also:
    `CharacterSetImpl`, `SQLDataTypesPackageImpl.getCharacterSet()`, Constant Field Values

### CHARACTER_SET__EANNOTATIONS

    public static final int CHARACTER_SET__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### CHARACTER_SET__NAME

    public static final int CHARACTER_SET__NAME

  The feature id for the 'Name' attribute.

### CHARACTER_SET__DEPENDENCIES

    public static final int CHARACTER_SET__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### CHARACTER_SET__DESCRIPTION

    public static final int CHARACTER_SET__DESCRIPTION

  The feature id for the 'Description' attribute.

### CHARACTER_SET__LABEL

    public static final int CHARACTER_SET__LABEL

  The feature id for the 'Label' attribute.

### CHARACTER_SET__COMMENTS

    public static final int CHARACTER_SET__COMMENTS

  The feature id for the 'Comments' reference list.

### CHARACTER_SET__PRIVILEGES

    public static final int CHARACTER_SET__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### CHARACTER_SET__REPERTOIRE

    public static final int CHARACTER_SET__REPERTOIRE

  The feature id for the 'Repertoire' attribute.

### CHARACTER_SET__DEFAULT_COLLATION

    public static final int CHARACTER_SET__DEFAULT_COLLATION

  The feature id for the 'Default Collation' attribute.

### CHARACTER_SET__ENCODING

    public static final int CHARACTER_SET__ENCODING

  The feature id for the 'Encoding' attribute.

### CHARACTER_SET__SCHEMA

    public static final int CHARACTER_SET__SCHEMA

  The feature id for the 'Schema' reference.

### CHARACTER_SET_FEATURE_COUNT

    public static final int CHARACTER_SET_FEATURE_COUNT

  The number of structural features of the 'Character Set' class.

### TIME_DATA_TYPE

    public static final int TIME_DATA_TYPE

  The meta object id for the '`Time Data Type`' class.

  See Also:
    `TimeDataTypeImpl`, `SQLDataTypesPackageImpl.getTimeDataType()`, Constant Field Values

### TIME_DATA_TYPE__EANNOTATIONS

    public static final int TIME_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### TIME_DATA_TYPE__NAME

    public static final int TIME_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

### TIME_DATA_TYPE__DEPENDENCIES

    public static final int TIME_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### TIME_DATA_TYPE__DESCRIPTION

    public static final int TIME_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### TIME_DATA_TYPE__LABEL

    public static final int TIME_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

### TIME_DATA_TYPE__COMMENTS

    public static final int TIME_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### TIME_DATA_TYPE__PRIVILEGES

    public static final int TIME_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### TIME_DATA_TYPE__PRIMITIVE_TYPE

    public static final int TIME_DATA_TYPE__PRIMITIVE_TYPE

  The feature id for the 'Primitive Type' attribute.

### TIME_DATA_TYPE__FRACTIONAL_SECONDS_PRECISION

    public static final int TIME_DATA_TYPE__FRACTIONAL_SECONDS_PRECISION

  The feature id for the 'Fractional Seconds Precision' attribute.

### TIME_DATA_TYPE__TIME_ZONE

    public static final int TIME_DATA_TYPE__TIME_ZONE

  The feature id for the 'Time Zone' attribute.

### TIME_DATA_TYPE_FEATURE_COUNT

    public static final int TIME_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Time Data Type' class.

### DISTINCT_USER_DEFINED_TYPE

    public static final int DISTINCT_USER_DEFINED_TYPE

  The meta object id for the '`Distinct User Defined Type`' class.

  See Also:
    `DistinctUserDefinedTypeImpl`, `SQLDataTypesPackageImpl.getDistinctUserDefinedType()`, Constant Field Values

### DISTINCT_USER_DEFINED_TYPE__EANNOTATIONS

    public static final int DISTINCT_USER_DEFINED_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### DISTINCT_USER_DEFINED_TYPE__NAME

    public static final int DISTINCT_USER_DEFINED_TYPE__NAME

  The feature id for the 'Name' attribute.

### DISTINCT_USER_DEFINED_TYPE__DEPENDENCIES

    public static final int DISTINCT_USER_DEFINED_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### DISTINCT_USER_DEFINED_TYPE__DESCRIPTION

    public static final int DISTINCT_USER_DEFINED_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### DISTINCT_USER_DEFINED_TYPE__LABEL

    public static final int DISTINCT_USER_DEFINED_TYPE__LABEL

  The feature id for the 'Label' attribute.

### DISTINCT_USER_DEFINED_TYPE__COMMENTS

    public static final int DISTINCT_USER_DEFINED_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### DISTINCT_USER_DEFINED_TYPE__PRIVILEGES

    public static final int DISTINCT_USER_DEFINED_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### DISTINCT_USER_DEFINED_TYPE__SCHEMA

    public static final int DISTINCT_USER_DEFINED_TYPE__SCHEMA

  The feature id for the 'Schema' reference.

### DISTINCT_USER_DEFINED_TYPE__ORDERING

    public static final int DISTINCT_USER_DEFINED_TYPE__ORDERING

  The feature id for the 'Ordering' containment reference.

### DISTINCT_USER_DEFINED_TYPE__PREDEFINED_REPRESENTATION

    public static final int DISTINCT_USER_DEFINED_TYPE__PREDEFINED_REPRESENTATION

  The feature id for the 'Predefined Representation' containment reference.

### DISTINCT_USER_DEFINED_TYPE_FEATURE_COUNT

    public static final int DISTINCT_USER_DEFINED_TYPE_FEATURE_COUNT

  The number of structural features of the 'Distinct User Defined Type' class.

### STRUCTURED_USER_DEFINED_TYPE

    public static final int STRUCTURED_USER_DEFINED_TYPE

  The meta object id for the '`Structured User Defined Type`' class.

  See Also:
    `StructuredUserDefinedTypeImpl`, `SQLDataTypesPackageImpl.getStructuredUserDefinedType()`, Constant Field Values

### STRUCTURED_USER_DEFINED_TYPE__EANNOTATIONS

    public static final int STRUCTURED_USER_DEFINED_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### STRUCTURED_USER_DEFINED_TYPE__NAME

    public static final int STRUCTURED_USER_DEFINED_TYPE__NAME

  The feature id for the 'Name' attribute.

### STRUCTURED_USER_DEFINED_TYPE__DEPENDENCIES

    public static final int STRUCTURED_USER_DEFINED_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### STRUCTURED_USER_DEFINED_TYPE__DESCRIPTION

    public static final int STRUCTURED_USER_DEFINED_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### STRUCTURED_USER_DEFINED_TYPE__LABEL

    public static final int STRUCTURED_USER_DEFINED_TYPE__LABEL

  The feature id for the 'Label' attribute.

### STRUCTURED_USER_DEFINED_TYPE__COMMENTS

    public static final int STRUCTURED_USER_DEFINED_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### STRUCTURED_USER_DEFINED_TYPE__PRIVILEGES

    public static final int STRUCTURED_USER_DEFINED_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### STRUCTURED_USER_DEFINED_TYPE__SCHEMA

    public static final int STRUCTURED_USER_DEFINED_TYPE__SCHEMA

  The feature id for the 'Schema' reference.

### STRUCTURED_USER_DEFINED_TYPE__ORDERING

    public static final int STRUCTURED_USER_DEFINED_TYPE__ORDERING

  The feature id for the 'Ordering' containment reference.

### STRUCTURED_USER_DEFINED_TYPE__INSTANTIABLE

    public static final int STRUCTURED_USER_DEFINED_TYPE__INSTANTIABLE

  The feature id for the 'Instantiable' attribute.

### STRUCTURED_USER_DEFINED_TYPE__FINAL

    public static final int STRUCTURED_USER_DEFINED_TYPE__FINAL

  The feature id for the 'Final' attribute.

### STRUCTURED_USER_DEFINED_TYPE__SUPER

    public static final int STRUCTURED_USER_DEFINED_TYPE__SUPER

  The feature id for the 'Super' reference.

### STRUCTURED_USER_DEFINED_TYPE__SUB

    public static final int STRUCTURED_USER_DEFINED_TYPE__SUB

  The feature id for the 'Sub' reference list.

### STRUCTURED_USER_DEFINED_TYPE__ATTRIBUTES

    public static final int STRUCTURED_USER_DEFINED_TYPE__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

### STRUCTURED_USER_DEFINED_TYPE__METHODS

    public static final int STRUCTURED_USER_DEFINED_TYPE__METHODS

  The feature id for the 'Methods' containment reference list.

### STRUCTURED_USER_DEFINED_TYPE_FEATURE_COUNT

    public static final int STRUCTURED_USER_DEFINED_TYPE_FEATURE_COUNT

  The number of structural features of the 'Structured User Defined Type' class.

### ATTRIBUTE_DEFINITION

    public static final int ATTRIBUTE_DEFINITION

  The meta object id for the '`Attribute Definition`' class.

  See Also:
    `AttributeDefinitionImpl`, `SQLDataTypesPackageImpl.getAttributeDefinition()`, Constant Field Values

### ATTRIBUTE_DEFINITION__EANNOTATIONS

    public static final int ATTRIBUTE_DEFINITION__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### ATTRIBUTE_DEFINITION__NAME

    public static final int ATTRIBUTE_DEFINITION__NAME

  The feature id for the 'Name' attribute.

### ATTRIBUTE_DEFINITION__DEPENDENCIES

    public static final int ATTRIBUTE_DEFINITION__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### ATTRIBUTE_DEFINITION__DESCRIPTION

    public static final int ATTRIBUTE_DEFINITION__DESCRIPTION

  The feature id for the 'Description' attribute.

### ATTRIBUTE_DEFINITION__LABEL

    public static final int ATTRIBUTE_DEFINITION__LABEL

  The feature id for the 'Label' attribute.

### ATTRIBUTE_DEFINITION__COMMENTS

    public static final int ATTRIBUTE_DEFINITION__COMMENTS

  The feature id for the 'Comments' reference list.

### ATTRIBUTE_DEFINITION__PRIVILEGES

    public static final int ATTRIBUTE_DEFINITION__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### ATTRIBUTE_DEFINITION__CONTAINED_TYPE

    public static final int ATTRIBUTE_DEFINITION__CONTAINED_TYPE

  The feature id for the 'Contained Type' containment reference.

### ATTRIBUTE_DEFINITION__REFERENCED_TYPE

    public static final int ATTRIBUTE_DEFINITION__REFERENCED_TYPE

  The feature id for the 'Referenced Type' reference.

### ATTRIBUTE_DEFINITION__SCOPE_CHECK

    public static final int ATTRIBUTE_DEFINITION__SCOPE_CHECK

  The feature id for the 'Scope Check' attribute.

### ATTRIBUTE_DEFINITION__SCOPE_CHECKED

    public static final int ATTRIBUTE_DEFINITION__SCOPE_CHECKED

  The feature id for the 'Scope Checked' attribute.

### ATTRIBUTE_DEFINITION__DEFAULT_VALUE

    public static final int ATTRIBUTE_DEFINITION__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

### ATTRIBUTE_DEFINITION_FEATURE_COUNT

    public static final int ATTRIBUTE_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Attribute Definition' class.

### EXACT_NUMERIC_DATA_TYPE

    public static final int EXACT_NUMERIC_DATA_TYPE

  The meta object id for the '`Exact Numeric Data Type`' class.

  See Also:
    `ExactNumericDataTypeImpl`, `SQLDataTypesPackageImpl.getExactNumericDataType()`, Constant Field Values

### EXACT_NUMERIC_DATA_TYPE__EANNOTATIONS

    public static final int EXACT_NUMERIC_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### EXACT_NUMERIC_DATA_TYPE__NAME

    public static final int EXACT_NUMERIC_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

### EXACT_NUMERIC_DATA_TYPE__DEPENDENCIES

    public static final int EXACT_NUMERIC_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### EXACT_NUMERIC_DATA_TYPE__DESCRIPTION

    public static final int EXACT_NUMERIC_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### EXACT_NUMERIC_DATA_TYPE__LABEL

    public static final int EXACT_NUMERIC_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

### EXACT_NUMERIC_DATA_TYPE__COMMENTS

    public static final int EXACT_NUMERIC_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### EXACT_NUMERIC_DATA_TYPE__PRIVILEGES

    public static final int EXACT_NUMERIC_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### EXACT_NUMERIC_DATA_TYPE__PRIMITIVE_TYPE

    public static final int EXACT_NUMERIC_DATA_TYPE__PRIMITIVE_TYPE

  The feature id for the 'Primitive Type' attribute.

### EXACT_NUMERIC_DATA_TYPE__PRECISION

    public static final int EXACT_NUMERIC_DATA_TYPE__PRECISION

  The feature id for the 'Precision' attribute.

### EXACT_NUMERIC_DATA_TYPE__SCALE

    public static final int EXACT_NUMERIC_DATA_TYPE__SCALE

  The feature id for the 'Scale' attribute.

### EXACT_NUMERIC_DATA_TYPE_FEATURE_COUNT

    public static final int EXACT_NUMERIC_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Exact Numeric Data Type' class.

### FIXED_PRECISION_DATA_TYPE

    public static final int FIXED_PRECISION_DATA_TYPE

  The meta object id for the '`Fixed Precision Data Type`' class.

  See Also:
    `FixedPrecisionDataTypeImpl`, `SQLDataTypesPackageImpl.getFixedPrecisionDataType()`, Constant Field Values

### FIXED_PRECISION_DATA_TYPE__EANNOTATIONS

    public static final int FIXED_PRECISION_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### FIXED_PRECISION_DATA_TYPE__NAME

    public static final int FIXED_PRECISION_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

### FIXED_PRECISION_DATA_TYPE__DEPENDENCIES

    public static final int FIXED_PRECISION_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### FIXED_PRECISION_DATA_TYPE__DESCRIPTION

    public static final int FIXED_PRECISION_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### FIXED_PRECISION_DATA_TYPE__LABEL

    public static final int FIXED_PRECISION_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

### FIXED_PRECISION_DATA_TYPE__COMMENTS

    public static final int FIXED_PRECISION_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### FIXED_PRECISION_DATA_TYPE__PRIVILEGES

    public static final int FIXED_PRECISION_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### FIXED_PRECISION_DATA_TYPE__PRIMITIVE_TYPE

    public static final int FIXED_PRECISION_DATA_TYPE__PRIMITIVE_TYPE

  The feature id for the 'Primitive Type' attribute.

### FIXED_PRECISION_DATA_TYPE__PRECISION

    public static final int FIXED_PRECISION_DATA_TYPE__PRECISION

  The feature id for the 'Precision' attribute.

### FIXED_PRECISION_DATA_TYPE__SCALE

    public static final int FIXED_PRECISION_DATA_TYPE__SCALE

  The feature id for the 'Scale' attribute.

### FIXED_PRECISION_DATA_TYPE_FEATURE_COUNT

    public static final int FIXED_PRECISION_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Fixed Precision Data Type' class.

### DOMAIN

    public static final int DOMAIN

  The meta object id for the '`Domain`' class.

  See Also:
    `DomainImpl`, `SQLDataTypesPackageImpl.getDomain()`, Constant Field Values

### DOMAIN__EANNOTATIONS

    public static final int DOMAIN__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### DOMAIN__NAME

    public static final int DOMAIN__NAME

  The feature id for the 'Name' attribute.

### DOMAIN__DEPENDENCIES

    public static final int DOMAIN__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### DOMAIN__DESCRIPTION

    public static final int DOMAIN__DESCRIPTION

  The feature id for the 'Description' attribute.

### DOMAIN__LABEL

    public static final int DOMAIN__LABEL

  The feature id for the 'Label' attribute.

### DOMAIN__COMMENTS

    public static final int DOMAIN__COMMENTS

  The feature id for the 'Comments' reference list.

### DOMAIN__PRIVILEGES

    public static final int DOMAIN__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### DOMAIN__SCHEMA

    public static final int DOMAIN__SCHEMA

  The feature id for the 'Schema' reference.

### DOMAIN__ORDERING

    public static final int DOMAIN__ORDERING

  The feature id for the 'Ordering' containment reference.

### DOMAIN__PREDEFINED_REPRESENTATION

    public static final int DOMAIN__PREDEFINED_REPRESENTATION

  The feature id for the 'Predefined Representation' containment reference.

### DOMAIN__CONSTRAINT

    public static final int DOMAIN__CONSTRAINT

  The feature id for the 'Constraint' containment reference list.

### DOMAIN__DEFAULT_VALUE

    public static final int DOMAIN__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

### DOMAIN_FEATURE_COUNT

    public static final int DOMAIN_FEATURE_COUNT

  The number of structural features of the 'Domain' class.

### FIELD

    public static final int FIELD

  The meta object id for the '`Field`' class.

  See Also:
    `FieldImpl`, `SQLDataTypesPackageImpl.getField()`, Constant Field Values

### FIELD__EANNOTATIONS

    public static final int FIELD__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### FIELD__NAME

    public static final int FIELD__NAME

  The feature id for the 'Name' attribute.

### FIELD__DEPENDENCIES

    public static final int FIELD__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### FIELD__DESCRIPTION

    public static final int FIELD__DESCRIPTION

  The feature id for the 'Description' attribute.

### FIELD__LABEL

    public static final int FIELD__LABEL

  The feature id for the 'Label' attribute.

### FIELD__COMMENTS

    public static final int FIELD__COMMENTS

  The feature id for the 'Comments' reference list.

### FIELD__PRIVILEGES

    public static final int FIELD__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### FIELD__CONTAINED_TYPE

    public static final int FIELD__CONTAINED_TYPE

  The feature id for the 'Contained Type' containment reference.

### FIELD__REFERENCED_TYPE

    public static final int FIELD__REFERENCED_TYPE

  The feature id for the 'Referenced Type' reference.

### FIELD__SCOPE_CHECK

    public static final int FIELD__SCOPE_CHECK

  The feature id for the 'Scope Check' attribute.

### FIELD__SCOPE_CHECKED

    public static final int FIELD__SCOPE_CHECKED

  The feature id for the 'Scope Checked' attribute.

### FIELD_FEATURE_COUNT

    public static final int FIELD_FEATURE_COUNT

  The number of structural features of the 'Field' class.

### REFERENCE_DATA_TYPE

    public static final int REFERENCE_DATA_TYPE

  The meta object id for the '`Reference Data Type`' class.

  See Also:
    `ReferenceDataTypeImpl`, `SQLDataTypesPackageImpl.getReferenceDataType()`, Constant Field Values

### REFERENCE_DATA_TYPE__EANNOTATIONS

    public static final int REFERENCE_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### REFERENCE_DATA_TYPE__NAME

    public static final int REFERENCE_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

### REFERENCE_DATA_TYPE__DEPENDENCIES

    public static final int REFERENCE_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### REFERENCE_DATA_TYPE__DESCRIPTION

    public static final int REFERENCE_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### REFERENCE_DATA_TYPE__LABEL

    public static final int REFERENCE_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

### REFERENCE_DATA_TYPE__COMMENTS

    public static final int REFERENCE_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### REFERENCE_DATA_TYPE__PRIVILEGES

    public static final int REFERENCE_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### REFERENCE_DATA_TYPE__SCOPE_TABLE

    public static final int REFERENCE_DATA_TYPE__SCOPE_TABLE

  The feature id for the 'Scope Table' reference.

### REFERENCE_DATA_TYPE__REFERENCED_TYPE

    public static final int REFERENCE_DATA_TYPE__REFERENCED_TYPE

  The feature id for the 'Referenced Type' reference.

### REFERENCE_DATA_TYPE_FEATURE_COUNT

    public static final int REFERENCE_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Reference Data Type' class.

### DATA_LINK_DATA_TYPE

    public static final int DATA_LINK_DATA_TYPE

  The meta object id for the '`Data Link Data Type`' class.

  See Also:
    `DataLinkDataTypeImpl`, `SQLDataTypesPackageImpl.getDataLinkDataType()`, Constant Field Values

### DATA_LINK_DATA_TYPE__EANNOTATIONS

    public static final int DATA_LINK_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### DATA_LINK_DATA_TYPE__NAME

    public static final int DATA_LINK_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

### DATA_LINK_DATA_TYPE__DEPENDENCIES

    public static final int DATA_LINK_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### DATA_LINK_DATA_TYPE__DESCRIPTION

    public static final int DATA_LINK_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### DATA_LINK_DATA_TYPE__LABEL

    public static final int DATA_LINK_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

### DATA_LINK_DATA_TYPE__COMMENTS

    public static final int DATA_LINK_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### DATA_LINK_DATA_TYPE__PRIVILEGES

    public static final int DATA_LINK_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### DATA_LINK_DATA_TYPE__PRIMITIVE_TYPE

    public static final int DATA_LINK_DATA_TYPE__PRIMITIVE_TYPE

  The feature id for the 'Primitive Type' attribute.

### DATA_LINK_DATA_TYPE__LENGTH

    public static final int DATA_LINK_DATA_TYPE__LENGTH

  The feature id for the 'Length' attribute.

### DATA_LINK_DATA_TYPE__LINK_CONTROL

    public static final int DATA_LINK_DATA_TYPE__LINK_CONTROL

  The feature id for the 'Link Control' attribute.

### DATA_LINK_DATA_TYPE__INTEGRITY_CONTROL

    public static final int DATA_LINK_DATA_TYPE__INTEGRITY_CONTROL

  The feature id for the 'Integrity Control' attribute.

### DATA_LINK_DATA_TYPE__READ_PERMISSION

    public static final int DATA_LINK_DATA_TYPE__READ_PERMISSION

  The feature id for the 'Read Permission' attribute.

### DATA_LINK_DATA_TYPE__WRITE_PERMISSION

    public static final int DATA_LINK_DATA_TYPE__WRITE_PERMISSION

  The feature id for the 'Write Permission' attribute.

### DATA_LINK_DATA_TYPE__RECOVERY

    public static final int DATA_LINK_DATA_TYPE__RECOVERY

  The feature id for the 'Recovery' attribute.

### DATA_LINK_DATA_TYPE__UNLINK

    public static final int DATA_LINK_DATA_TYPE__UNLINK

  The feature id for the 'Unlink' attribute.

### DATA_LINK_DATA_TYPE_FEATURE_COUNT

    public static final int DATA_LINK_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Data Link Data Type' class.

### USER_DEFINED_TYPE_ORDERING

    public static final int USER_DEFINED_TYPE_ORDERING

  The meta object id for the '`User Defined Type Ordering`' class.

  See Also:
    `UserDefinedTypeOrderingImpl`, `SQLDataTypesPackageImpl.getUserDefinedTypeOrdering()`, Constant Field Values

### USER_DEFINED_TYPE_ORDERING__EANNOTATIONS

    public static final int USER_DEFINED_TYPE_ORDERING__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### USER_DEFINED_TYPE_ORDERING__NAME

    public static final int USER_DEFINED_TYPE_ORDERING__NAME

  The feature id for the 'Name' attribute.

### USER_DEFINED_TYPE_ORDERING__DEPENDENCIES

    public static final int USER_DEFINED_TYPE_ORDERING__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### USER_DEFINED_TYPE_ORDERING__DESCRIPTION

    public static final int USER_DEFINED_TYPE_ORDERING__DESCRIPTION

  The feature id for the 'Description' attribute.

### USER_DEFINED_TYPE_ORDERING__LABEL

    public static final int USER_DEFINED_TYPE_ORDERING__LABEL

  The feature id for the 'Label' attribute.

### USER_DEFINED_TYPE_ORDERING__COMMENTS

    public static final int USER_DEFINED_TYPE_ORDERING__COMMENTS

  The feature id for the 'Comments' reference list.

### USER_DEFINED_TYPE_ORDERING__PRIVILEGES

    public static final int USER_DEFINED_TYPE_ORDERING__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### USER_DEFINED_TYPE_ORDERING__ORDERING_FORM

    public static final int USER_DEFINED_TYPE_ORDERING__ORDERING_FORM

  The feature id for the 'Ordering Form' attribute.

### USER_DEFINED_TYPE_ORDERING__ORDERING_CATEGORY

    public static final int USER_DEFINED_TYPE_ORDERING__ORDERING_CATEGORY

  The feature id for the 'Ordering Category' attribute.

### USER_DEFINED_TYPE_ORDERING__ORDERING_ROUTINE

    public static final int USER_DEFINED_TYPE_ORDERING__ORDERING_ROUTINE

  The feature id for the 'Ordering Routine' reference.

### USER_DEFINED_TYPE_ORDERING_FEATURE_COUNT

    public static final int USER_DEFINED_TYPE_ORDERING_FEATURE_COUNT

  The number of structural features of the 'User Defined Type Ordering' class.

### DATE_DATA_TYPE

    public static final int DATE_DATA_TYPE

  The meta object id for the '`Date Data Type`' class.

  See Also:
    `DateDataTypeImpl`, `SQLDataTypesPackageImpl.getDateDataType()`, Constant Field Values

### DATE_DATA_TYPE__EANNOTATIONS

    public static final int DATE_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### DATE_DATA_TYPE__NAME

    public static final int DATE_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

### DATE_DATA_TYPE__DEPENDENCIES

    public static final int DATE_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### DATE_DATA_TYPE__DESCRIPTION

    public static final int DATE_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### DATE_DATA_TYPE__LABEL

    public static final int DATE_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

### DATE_DATA_TYPE__COMMENTS

    public static final int DATE_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### DATE_DATA_TYPE__PRIVILEGES

    public static final int DATE_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### DATE_DATA_TYPE__PRIMITIVE_TYPE

    public static final int DATE_DATA_TYPE__PRIMITIVE_TYPE

  The feature id for the 'Primitive Type' attribute.

### DATE_DATA_TYPE_FEATURE_COUNT

    public static final int DATE_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Date Data Type' class.

### APPROXIMATE_NUMERIC_DATA_TYPE

    public static final int APPROXIMATE_NUMERIC_DATA_TYPE

  The meta object id for the '`Approximate Numeric Data Type`' class.

  See Also:
    `ApproximateNumericDataTypeImpl`, `SQLDataTypesPackageImpl.getApproximateNumericDataType()`, Constant Field Values

### APPROXIMATE_NUMERIC_DATA_TYPE__EANNOTATIONS

    public static final int APPROXIMATE_NUMERIC_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### APPROXIMATE_NUMERIC_DATA_TYPE__NAME

    public static final int APPROXIMATE_NUMERIC_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

### APPROXIMATE_NUMERIC_DATA_TYPE__DEPENDENCIES

    public static final int APPROXIMATE_NUMERIC_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### APPROXIMATE_NUMERIC_DATA_TYPE__DESCRIPTION

    public static final int APPROXIMATE_NUMERIC_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### APPROXIMATE_NUMERIC_DATA_TYPE__LABEL

    public static final int APPROXIMATE_NUMERIC_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

### APPROXIMATE_NUMERIC_DATA_TYPE__COMMENTS

    public static final int APPROXIMATE_NUMERIC_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### APPROXIMATE_NUMERIC_DATA_TYPE__PRIVILEGES

    public static final int APPROXIMATE_NUMERIC_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### APPROXIMATE_NUMERIC_DATA_TYPE__PRIMITIVE_TYPE

    public static final int APPROXIMATE_NUMERIC_DATA_TYPE__PRIMITIVE_TYPE

  The feature id for the 'Primitive Type' attribute.

### APPROXIMATE_NUMERIC_DATA_TYPE__PRECISION

    public static final int APPROXIMATE_NUMERIC_DATA_TYPE__PRECISION

  The feature id for the 'Precision' attribute.

### APPROXIMATE_NUMERIC_DATA_TYPE_FEATURE_COUNT

    public static final int APPROXIMATE_NUMERIC_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Approximate Numeric Data Type' class.

### INTEGER_DATA_TYPE

    public static final int INTEGER_DATA_TYPE

  The meta object id for the '`Integer Data Type`' class.

  See Also:
    `IntegerDataTypeImpl`, `SQLDataTypesPackageImpl.getIntegerDataType()`, Constant Field Values

### INTEGER_DATA_TYPE__EANNOTATIONS

    public static final int INTEGER_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### INTEGER_DATA_TYPE__NAME

    public static final int INTEGER_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

### INTEGER_DATA_TYPE__DEPENDENCIES

    public static final int INTEGER_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### INTEGER_DATA_TYPE__DESCRIPTION

    public static final int INTEGER_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### INTEGER_DATA_TYPE__LABEL

    public static final int INTEGER_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

### INTEGER_DATA_TYPE__COMMENTS

    public static final int INTEGER_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### INTEGER_DATA_TYPE__PRIVILEGES

    public static final int INTEGER_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### INTEGER_DATA_TYPE__PRIMITIVE_TYPE

    public static final int INTEGER_DATA_TYPE__PRIMITIVE_TYPE

  The feature id for the 'Primitive Type' attribute.

### INTEGER_DATA_TYPE__PRECISION

    public static final int INTEGER_DATA_TYPE__PRECISION

  The feature id for the 'Precision' attribute.

### INTEGER_DATA_TYPE__SCALE

    public static final int INTEGER_DATA_TYPE__SCALE

  The feature id for the 'Scale' attribute.

### INTEGER_DATA_TYPE_FEATURE_COUNT

    public static final int INTEGER_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Integer Data Type' class.

### XML_DATA_TYPE

    public static final int XML_DATA_TYPE

  The meta object id for the '`XML Data Type`' class.

  See Also:
    `XMLDataTypeImpl`, `SQLDataTypesPackageImpl.getXMLDataType()`, Constant Field Values

### XML_DATA_TYPE__EANNOTATIONS

    public static final int XML_DATA_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### XML_DATA_TYPE__NAME

    public static final int XML_DATA_TYPE__NAME

  The feature id for the 'Name' attribute.

### XML_DATA_TYPE__DEPENDENCIES

    public static final int XML_DATA_TYPE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### XML_DATA_TYPE__DESCRIPTION

    public static final int XML_DATA_TYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

### XML_DATA_TYPE__LABEL

    public static final int XML_DATA_TYPE__LABEL

  The feature id for the 'Label' attribute.

### XML_DATA_TYPE__COMMENTS

    public static final int XML_DATA_TYPE__COMMENTS

  The feature id for the 'Comments' reference list.

### XML_DATA_TYPE__PRIVILEGES

    public static final int XML_DATA_TYPE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### XML_DATA_TYPE__PRIMITIVE_TYPE

    public static final int XML_DATA_TYPE__PRIMITIVE_TYPE

  The feature id for the 'Primitive Type' attribute.

### XML_DATA_TYPE_FEATURE_COUNT

    public static final int XML_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'XML Data Type' class.

### COERCIBILITY_TYPE

    public static final int COERCIBILITY_TYPE

  The meta object id for the '`Coercibility Type`' enum.

  See Also:
    `CoercibilityType`, `SQLDataTypesPackageImpl.getCoercibilityType()`, Constant Field Values

### INTERVAL_QUALIFIER_TYPE

    public static final int INTERVAL_QUALIFIER_TYPE

  The meta object id for the '`Interval Qualifier Type`' enum.

  See Also:
    `IntervalQualifierType`, `SQLDataTypesPackageImpl.getIntervalQualifierType()`, Constant Field Values

### ORDERING_TYPE

    public static final int ORDERING_TYPE

  The meta object id for the '`Ordering Type`' enum.

  See Also:
    `OrderingType`, `SQLDataTypesPackageImpl.getOrderingType()`, Constant Field Values

### ORDERING_CATEGORY_TYPE

    public static final int ORDERING_CATEGORY_TYPE

  The meta object id for the '`Ordering Category Type`' enum.

  See Also:
    `OrderingCategoryType`, `SQLDataTypesPackageImpl.getOrderingCategoryType()`, Constant Field Values

### PRIMITIVE_TYPE

    public static final int PRIMITIVE_TYPE

  The meta object id for the '`Primitive Type`' enum.

  See Also:
    `PrimitiveType`, `SQLDataTypesPackageImpl.getPrimitiveType()`, Constant Field Values

### LINK_CONTROL_OPTION

    public static final int LINK_CONTROL_OPTION

  The meta object id for the '`Link Control Option`' enum.

  See Also:
    `LinkControlOption`, `SQLDataTypesPackageImpl.getLinkControlOption()`, Constant Field Values

### INTEGRITY_CONTROL_OPTION

    public static final int INTEGRITY_CONTROL_OPTION

  The meta object id for the '`Integrity Control Option`' enum.

  See Also:
    `IntegrityControlOption`, `SQLDataTypesPackageImpl.getIntegrityControlOption()`, Constant Field Values

### READ_PERMISSION_OPTION

    public static final int READ_PERMISSION_OPTION

  The meta object id for the '`Read Permission Option`' enum.

  See Also:
    `ReadPermissionOption`, `SQLDataTypesPackageImpl.getReadPermissionOption()`, Constant Field Values

### WRITE_PERMISSION_OPTION

    public static final int WRITE_PERMISSION_OPTION

  The meta object id for the '`Write Permission Option`' enum.

  See Also:
    `WritePermissionOption`, `SQLDataTypesPackageImpl.getWritePermissionOption()`, Constant Field Values

### UNLINK_OPTION

    public static final int UNLINK_OPTION

  The meta object id for the '`Unlink Option`' enum.

  See Also:
    `UnlinkOption`, `SQLDataTypesPackageImpl.getUnlinkOption()`, Constant Field Values

Method Detail

### getUserDefinedType

    public EClass getUserDefinedType()

  Returns the meta object for class '`User Defined Type`'.

  Returns:
    the meta object for class 'User Defined Type'.
  See Also:
    `UserDefinedType`

### getUserDefinedType_Schema

    public EReference getUserDefinedType_Schema()

  Returns the meta object for the reference '`Schema`'.

  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `UserDefinedType.getSchema()`, `getUserDefinedType()`

### getUserDefinedType_Ordering

    public EReference getUserDefinedType_Ordering()

  Returns the meta object for the containment reference '`Ordering`'.

  Returns:
    the meta object for the containment reference 'Ordering'.
  See Also:
    `UserDefinedType.getOrdering()`, `getUserDefinedType()`

### getDataType

    public EClass getDataType()

  Returns the meta object for class '`Data Type`'.

  Returns:
    the meta object for class 'Data Type'.
  See Also:
    `DataType`

### getPredefinedDataType

    public EClass getPredefinedDataType()

  Returns the meta object for class '`Predefined Data Type`'.

  Returns:
    the meta object for class 'Predefined Data Type'.
  See Also:
    `PredefinedDataType`

### getPredefinedDataType_PrimitiveType

    public EAttribute getPredefinedDataType_PrimitiveType()

  Returns the meta object for the attribute '`Primitive Type`'.

  Returns:
    the meta object for the attribute 'Primitive Type'.
  See Also:
    `PredefinedDataType.getPrimitiveType()`, `getPredefinedDataType()`

### getCollectionDataType

    public EClass getCollectionDataType()

  Returns the meta object for class '`Collection Data Type`'.

  Returns:
    the meta object for class 'Collection Data Type'.
  See Also:
    `CollectionDataType`

### getCollectionDataType_Element

    public EReference getCollectionDataType_Element()

  Returns the meta object for the reference list '`Element`'.

  Returns:
    the meta object for the reference list 'Element'.
  See Also:
    `CollectionDataType.getElement()`, `getCollectionDataType()`

### getNumericalDataType

    public EClass getNumericalDataType()

  Returns the meta object for class '`Numerical Data Type`'.

  Returns:
    the meta object for class 'Numerical Data Type'.
  See Also:
    `NumericalDataType`

### getNumericalDataType_Precision

    public EAttribute getNumericalDataType_Precision()

  Returns the meta object for the attribute '`Precision`'.

  Returns:
    the meta object for the attribute 'Precision'.
  See Also:
    `NumericalDataType.getPrecision()`, `getNumericalDataType()`

### getCharacterStringDataType

    public EClass getCharacterStringDataType()

  Returns the meta object for class '`Character String Data Type`'.

  Returns:
    the meta object for class 'Character String Data Type'.
  See Also:
    `CharacterStringDataType`

### getCharacterStringDataType_Length

    public EAttribute getCharacterStringDataType_Length()

  Returns the meta object for the attribute '`Length`'.

  Returns:
    the meta object for the attribute 'Length'.
  See Also:
    `CharacterStringDataType.getLength()`, `getCharacterStringDataType()`

### getCharacterStringDataType_Coercibility

    public EAttribute getCharacterStringDataType_Coercibility()

  Returns the meta object for the attribute '`Coercibility`'.

  Returns:
    the meta object for the attribute 'Coercibility'.
  See Also:
    `CharacterStringDataType.getCoercibility()`, `getCharacterStringDataType()`

### getCharacterStringDataType_FixedLength

    public EAttribute getCharacterStringDataType_FixedLength()

  Returns the meta object for the attribute '`Fixed Length`'.

  Returns:
    the meta object for the attribute 'Fixed Length'.
  See Also:
    `CharacterStringDataType.isFixedLength()`, `getCharacterStringDataType()`

### getCharacterStringDataType_CollationName

    public EAttribute getCharacterStringDataType_CollationName()

  Returns the meta object for the attribute '`Collation Name`'.

  Returns:
    the meta object for the attribute 'Collation Name'.
  See Also:
    `CharacterStringDataType.getCollationName()`, `getCharacterStringDataType()`

### getCharacterStringDataType_CharacterSet

    public EReference getCharacterStringDataType_CharacterSet()

  Returns the meta object for the reference '`Character Set`'.

  Returns:
    the meta object for the reference 'Character Set'.
  See Also:
    `CharacterStringDataType.getCharacterSet()`, `getCharacterStringDataType()`

### getRowDataType

    public EClass getRowDataType()

  Returns the meta object for class '`Row Data Type`'.

  Returns:
    the meta object for class 'Row Data Type'.
  See Also:
    `RowDataType`

### getRowDataType_Fields

    public EReference getRowDataType_Fields()

  Returns the meta object for the containment reference list '`Fields`'.

  Returns:
    the meta object for the containment reference list 'Fields'.
  See Also:
    `RowDataType.getFields()`, `getRowDataType()`

### getArrayDataType

    public EClass getArrayDataType()

  Returns the meta object for class '`Array Data Type`'.

  Returns:
    the meta object for class 'Array Data Type'.
  See Also:
    `ArrayDataType`

### getArrayDataType_MaxCardinality

    public EAttribute getArrayDataType_MaxCardinality()

  Returns the meta object for the attribute '`Max Cardinality`'.

  Returns:
    the meta object for the attribute 'Max Cardinality'.
  See Also:
    `ArrayDataType.getMaxCardinality()`, `getArrayDataType()`

### getMultisetDataType

    public EClass getMultisetDataType()

  Returns the meta object for class '`Multiset Data Type`'.

  Returns:
    the meta object for class 'Multiset Data Type'.
  See Also:
    `MultisetDataType`

### getBooleanDataType

    public EClass getBooleanDataType()

  Returns the meta object for class '`Boolean Data Type`'.

  Returns:
    the meta object for class 'Boolean Data Type'.
  See Also:
    `BooleanDataType`

### getIntervalDataType

    public EClass getIntervalDataType()

  Returns the meta object for class '`Interval Data Type`'.

  Returns:
    the meta object for class 'Interval Data Type'.
  See Also:
    `IntervalDataType`

### getIntervalDataType_LeadingQualifier

    public EAttribute getIntervalDataType_LeadingQualifier()

  Returns the meta object for the attribute '`Leading Qualifier`'.

  Returns:
    the meta object for the attribute 'Leading Qualifier'.
  See Also:
    `IntervalDataType.getLeadingQualifier()`, `getIntervalDataType()`

### getIntervalDataType_TrailingQualifier

    public EAttribute getIntervalDataType_TrailingQualifier()

  Returns the meta object for the attribute '`Trailing Qualifier`'.

  Returns:
    the meta object for the attribute 'Trailing Qualifier'.
  See Also:
    `IntervalDataType.getTrailingQualifier()`, `getIntervalDataType()`

### getIntervalDataType_LeadingFieldPrecision

    public EAttribute getIntervalDataType_LeadingFieldPrecision()

  Returns the meta object for the attribute '`Leading Field Precision`'.

  Returns:
    the meta object for the attribute 'Leading Field Precision'.
  See Also:
    `IntervalDataType.getLeadingFieldPrecision()`, `getIntervalDataType()`

### getIntervalDataType_TrailingFieldPrecision

    public EAttribute getIntervalDataType_TrailingFieldPrecision()

  Returns the meta object for the attribute '`Trailing Field Precision`'.

  Returns:
    the meta object for the attribute 'Trailing Field Precision'.
  See Also:
    `IntervalDataType.getTrailingFieldPrecision()`, `getIntervalDataType()`

### getIntervalDataType_FractionalSecondsPrecision

    public EAttribute getIntervalDataType_FractionalSecondsPrecision()

  Returns the meta object for the attribute '`Fractional Seconds Precision`'.

  Returns:
    the meta object for the attribute 'Fractional Seconds Precision'.
  See Also:
    `IntervalDataType.getFractionalSecondsPrecision()`, `getIntervalDataType()`

### getBinaryStringDataType

    public EClass getBinaryStringDataType()

  Returns the meta object for class '`Binary String Data Type`'.

  Returns:
    the meta object for class 'Binary String Data Type'.
  See Also:
    `BinaryStringDataType`

### getBinaryStringDataType_Length

    public EAttribute getBinaryStringDataType_Length()

  Returns the meta object for the attribute '`Length`'.

  Returns:
    the meta object for the attribute 'Length'.
  See Also:
    `BinaryStringDataType.getLength()`, `getBinaryStringDataType()`

### getCharacterSet

    public EClass getCharacterSet()

  Returns the meta object for class '`Character Set`'.

  Returns:
    the meta object for class 'Character Set'.
  See Also:
    `CharacterSet`

### getCharacterSet_Repertoire

    public EAttribute getCharacterSet_Repertoire()

  Returns the meta object for the attribute '`Repertoire`'.

  Returns:
    the meta object for the attribute 'Repertoire'.
  See Also:
    `CharacterSet.getRepertoire()`, `getCharacterSet()`

### getCharacterSet_DefaultCollation

    public EAttribute getCharacterSet_DefaultCollation()

  Returns the meta object for the attribute '`Default Collation`'.

  Returns:
    the meta object for the attribute 'Default Collation'.
  See Also:
    `CharacterSet.getDefaultCollation()`, `getCharacterSet()`

### getCharacterSet_Encoding

    public EAttribute getCharacterSet_Encoding()

  Returns the meta object for the attribute '`Encoding`'.

  Returns:
    the meta object for the attribute 'Encoding'.
  See Also:
    `CharacterSet.getEncoding()`, `getCharacterSet()`

### getCharacterSet_Schema

    public EReference getCharacterSet_Schema()

  Returns the meta object for the reference '`Schema`'.

  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `CharacterSet.getSchema()`, `getCharacterSet()`

### getTimeDataType

    public EClass getTimeDataType()

  Returns the meta object for class '`Time Data Type`'.

  Returns:
    the meta object for class 'Time Data Type'.
  See Also:
    `TimeDataType`

### getTimeDataType_FractionalSecondsPrecision

    public EAttribute getTimeDataType_FractionalSecondsPrecision()

  Returns the meta object for the attribute '`Fractional Seconds Precision`'.

  Returns:
    the meta object for the attribute 'Fractional Seconds Precision'.
  See Also:
    `TimeDataType.getFractionalSecondsPrecision()`, `getTimeDataType()`

### getTimeDataType_TimeZone

    public EAttribute getTimeDataType_TimeZone()

  Returns the meta object for the attribute '`Time Zone`'.

  Returns:
    the meta object for the attribute 'Time Zone'.
  See Also:
    `TimeDataType.isTimeZone()`, `getTimeDataType()`

### getDistinctUserDefinedType

    public EClass getDistinctUserDefinedType()

  Returns the meta object for class '`Distinct User Defined Type`'.

  Returns:
    the meta object for class 'Distinct User Defined Type'.
  See Also:
    `DistinctUserDefinedType`

### getDistinctUserDefinedType_PredefinedRepresentation

    public EReference getDistinctUserDefinedType_PredefinedRepresentation()

  Returns the meta object for the containment reference '`Predefined Representation`'.

  Returns:
    the meta object for the containment reference 'Predefined Representation'.
  See Also:
    `DistinctUserDefinedType.getPredefinedRepresentation()`, `getDistinctUserDefinedType()`

### getStructuredUserDefinedType

    public EClass getStructuredUserDefinedType()

  Returns the meta object for class '`Structured User Defined Type`'.

  Returns:
    the meta object for class 'Structured User Defined Type'.
  See Also:
    `StructuredUserDefinedType`

### getStructuredUserDefinedType_Instantiable

    public EAttribute getStructuredUserDefinedType_Instantiable()

  Returns the meta object for the attribute '`Instantiable`'.

  Returns:
    the meta object for the attribute 'Instantiable'.
  See Also:
    `StructuredUserDefinedType.isInstantiable()`, `getStructuredUserDefinedType()`

### getStructuredUserDefinedType_Final

    public EAttribute getStructuredUserDefinedType_Final()

  Returns the meta object for the attribute '`Final`'.

  Returns:
    the meta object for the attribute 'Final'.
  See Also:
    `StructuredUserDefinedType.isFinal()`, `getStructuredUserDefinedType()`

### getStructuredUserDefinedType_Super

    public EReference getStructuredUserDefinedType_Super()

  Returns the meta object for the reference '`Super`'.

  Returns:
    the meta object for the reference 'Super'.
  See Also:
    `StructuredUserDefinedType.getSuper()`, `getStructuredUserDefinedType()`

### getStructuredUserDefinedType_Sub

    public EReference getStructuredUserDefinedType_Sub()

  Returns the meta object for the reference list '`Sub`'.

  Returns:
    the meta object for the reference list 'Sub'.
  See Also:
    `StructuredUserDefinedType.getSub()`, `getStructuredUserDefinedType()`

### getStructuredUserDefinedType_Attributes

    public EReference getStructuredUserDefinedType_Attributes()

  Returns the meta object for the containment reference list '`Attributes`'.

  Returns:
    the meta object for the containment reference list 'Attributes'.
  See Also:
    `StructuredUserDefinedType.getAttributes()`, `getStructuredUserDefinedType()`

### getStructuredUserDefinedType_Methods

    public EReference getStructuredUserDefinedType_Methods()

  Returns the meta object for the containment reference list '`Methods`'.

  Returns:
    the meta object for the containment reference list 'Methods'.
  See Also:
    `StructuredUserDefinedType.getMethods()`, `getStructuredUserDefinedType()`

### getAttributeDefinition

    public EClass getAttributeDefinition()

  Returns the meta object for class '`Attribute Definition`'.

  Returns:
    the meta object for class 'Attribute Definition'.
  See Also:
    `AttributeDefinition`

### getAttributeDefinition_ScopeCheck

    public EAttribute getAttributeDefinition_ScopeCheck()

  Returns the meta object for the attribute '`Scope Check`'.

  Returns:
    the meta object for the attribute 'Scope Check'.
  See Also:
    `AttributeDefinition.getScopeCheck()`, `getAttributeDefinition()`

### getAttributeDefinition_ScopeChecked

    public EAttribute getAttributeDefinition_ScopeChecked()

  Returns the meta object for the attribute '`Scope Checked`'.

  Returns:
    the meta object for the attribute 'Scope Checked'.
  See Also:
    `AttributeDefinition.isScopeChecked()`, `getAttributeDefinition()`

### getAttributeDefinition_DefaultValue

    public EAttribute getAttributeDefinition_DefaultValue()

  Returns the meta object for the attribute '`Default Value`'.

  Returns:
    the meta object for the attribute 'Default Value'.
  See Also:
    `AttributeDefinition.getDefaultValue()`, `getAttributeDefinition()`

### getFixedPrecisionDataType

    public EClass getFixedPrecisionDataType()

  Returns the meta object for class '`Fixed Precision Data Type`'.

  Returns:
    the meta object for class 'Fixed Precision Data Type'.
  See Also:
    `FixedPrecisionDataType`

### getDomain

    public EClass getDomain()

  Returns the meta object for class '`Domain`'.

  Returns:
    the meta object for class 'Domain'.
  See Also:
    `Domain`

### getDomain_Constraint

    public EReference getDomain_Constraint()

  Returns the meta object for the containment reference list '`Constraint`'.

  Returns:
    the meta object for the containment reference list 'Constraint'.
  See Also:
    `Domain.getConstraint()`, `getDomain()`

### getDomain_DefaultValue

    public EAttribute getDomain_DefaultValue()

  Returns the meta object for the attribute '`Default Value`'.

  Returns:
    the meta object for the attribute 'Default Value'.
  See Also:
    `Domain.getDefaultValue()`, `getDomain()`

### getField

    public EClass getField()

  Returns the meta object for class '`Field`'.

  Returns:
    the meta object for class 'Field'.
  See Also:
    `Field`

### getField_ScopeCheck

    public EAttribute getField_ScopeCheck()

  Returns the meta object for the attribute '`Scope Check`'.

  Returns:
    the meta object for the attribute 'Scope Check'.
  See Also:
    `Field.getScopeCheck()`, `getField()`

### getField_ScopeChecked

    public EAttribute getField_ScopeChecked()

  Returns the meta object for the attribute '`Scope Checked`'.

  Returns:
    the meta object for the attribute 'Scope Checked'.
  See Also:
    `Field.isScopeChecked()`, `getField()`

### getReferenceDataType

    public EClass getReferenceDataType()

  Returns the meta object for class '`Reference Data Type`'.

  Returns:
    the meta object for class 'Reference Data Type'.
  See Also:
    `ReferenceDataType`

### getReferenceDataType_ScopeTable

    public EReference getReferenceDataType_ScopeTable()

  Returns the meta object for the reference '`Scope Table`'.

  Returns:
    the meta object for the reference 'Scope Table'.
  See Also:
    `ReferenceDataType.getScopeTable()`, `getReferenceDataType()`

### getReferenceDataType_ReferencedType

    public EReference getReferenceDataType_ReferencedType()

  Returns the meta object for the reference '`Referenced Type`'.

  Returns:
    the meta object for the reference 'Referenced Type'.
  See Also:
    `ReferenceDataType.getReferencedType()`, `getReferenceDataType()`

### getConstructedDataType

    public EClass getConstructedDataType()

  Returns the meta object for class '`Constructed Data Type`'.

  Returns:
    the meta object for class 'Constructed Data Type'.
  See Also:
    `ConstructedDataType`

### getSQLDataType

    public EClass getSQLDataType()

  Returns the meta object for class '`SQL Data Type`'.

  Returns:
    the meta object for class 'SQL Data Type'.
  See Also:
    `SQLDataType`

### getDataLinkDataType

    public EClass getDataLinkDataType()

  Returns the meta object for class '`Data Link Data Type`'.

  Returns:
    the meta object for class 'Data Link Data Type'.
  See Also:
    `DataLinkDataType`

### getDataLinkDataType_Length

    public EAttribute getDataLinkDataType_Length()

  Returns the meta object for the attribute '`Length`'.

  Returns:
    the meta object for the attribute 'Length'.
  See Also:
    `DataLinkDataType.getLength()`, `getDataLinkDataType()`

### getDataLinkDataType_LinkControl

    public EAttribute getDataLinkDataType_LinkControl()

  Returns the meta object for the attribute '`Link Control`'.

  Returns:
    the meta object for the attribute 'Link Control'.
  See Also:
    `DataLinkDataType.getLinkControl()`, `getDataLinkDataType()`

### getDataLinkDataType_IntegrityControl

    public EAttribute getDataLinkDataType_IntegrityControl()

  Returns the meta object for the attribute '`Integrity Control`'.

  Returns:
    the meta object for the attribute 'Integrity Control'.
  See Also:
    `DataLinkDataType.getIntegrityControl()`, `getDataLinkDataType()`

### getDataLinkDataType_ReadPermission

    public EAttribute getDataLinkDataType_ReadPermission()

  Returns the meta object for the attribute '`Read Permission`'.

  Returns:
    the meta object for the attribute 'Read Permission'.
  See Also:
    `DataLinkDataType.getReadPermission()`, `getDataLinkDataType()`

### getDataLinkDataType_WritePermission

    public EAttribute getDataLinkDataType_WritePermission()

  Returns the meta object for the attribute '`Write Permission`'.

  Returns:
    the meta object for the attribute 'Write Permission'.
  See Also:
    `DataLinkDataType.getWritePermission()`, `getDataLinkDataType()`

### getDataLinkDataType_Recovery

    public EAttribute getDataLinkDataType_Recovery()

  Returns the meta object for the attribute '`Recovery`'.

  Returns:
    the meta object for the attribute 'Recovery'.
  See Also:
    `DataLinkDataType.isRecovery()`, `getDataLinkDataType()`

### getDataLinkDataType_Unlink

    public EAttribute getDataLinkDataType_Unlink()

  Returns the meta object for the attribute '`Unlink`'.

  Returns:
    the meta object for the attribute 'Unlink'.
  See Also:
    `DataLinkDataType.getUnlink()`, `getDataLinkDataType()`

### getUserDefinedTypeOrdering

    public EClass getUserDefinedTypeOrdering()

  Returns the meta object for class '`User Defined Type Ordering`'.

  Returns:
    the meta object for class 'User Defined Type Ordering'.
  See Also:
    `UserDefinedTypeOrdering`

### getUserDefinedTypeOrdering_OrderingForm

    public EAttribute getUserDefinedTypeOrdering_OrderingForm()

  Returns the meta object for the attribute '`Ordering Form`'.

  Returns:
    the meta object for the attribute 'Ordering Form'.
  See Also:
    `UserDefinedTypeOrdering.getOrderingForm()`, `getUserDefinedTypeOrdering()`

### getUserDefinedTypeOrdering_OrderingCategory

    public EAttribute getUserDefinedTypeOrdering_OrderingCategory()

  Returns the meta object for the attribute '`Ordering Category`'.

  Returns:
    the meta object for the attribute 'Ordering Category'.
  See Also:
    `UserDefinedTypeOrdering.getOrderingCategory()`, `getUserDefinedTypeOrdering()`

### getUserDefinedTypeOrdering_OrderingRoutine

    public EReference getUserDefinedTypeOrdering_OrderingRoutine()

  Returns the meta object for the reference '`Ordering Routine`'.

  Returns:
    the meta object for the reference 'Ordering Routine'.
  See Also:
    `UserDefinedTypeOrdering.getOrderingRoutine()`, `getUserDefinedTypeOrdering()`

### getDateDataType

    public EClass getDateDataType()

  Returns the meta object for class '`Date Data Type`'.

  Returns:
    the meta object for class 'Date Data Type'.
  See Also:
    `DateDataType`

### getExactNumericDataType

    public EClass getExactNumericDataType()

  Returns the meta object for class '`Exact Numeric Data Type`'.

  Returns:
    the meta object for class 'Exact Numeric Data Type'.
  See Also:
    `ExactNumericDataType`

### getExactNumericDataType_Scale

    public EAttribute getExactNumericDataType_Scale()

  Returns the meta object for the attribute '`Scale`'.

  Returns:
    the meta object for the attribute 'Scale'.
  See Also:
    `ExactNumericDataType.getScale()`, `getExactNumericDataType()`

### getApproximateNumericDataType

    public EClass getApproximateNumericDataType()

  Returns the meta object for class '`Approximate Numeric Data Type`'.

  Returns:
    the meta object for class 'Approximate Numeric Data Type'.
  See Also:
    `ApproximateNumericDataType`

### getIntegerDataType

    public EClass getIntegerDataType()

  Returns the meta object for class '`Integer Data Type`'.

  Returns:
    the meta object for class 'Integer Data Type'.
  See Also:
    `IntegerDataType`

### getXMLDataType

    public EClass getXMLDataType()

  Returns the meta object for class '`XML Data Type`'.

  Returns:
    the meta object for class 'XML Data Type'.
  See Also:
    `XMLDataType`

### getCoercibilityType

    public EEnum getCoercibilityType()

  Returns the meta object for enum '`Coercibility Type`'.

  Returns:
    the meta object for enum 'Coercibility Type'.
  See Also:
    `CoercibilityType`

### getIntervalQualifierType

    public EEnum getIntervalQualifierType()

  Returns the meta object for enum '`Interval Qualifier Type`'.

  Returns:
    the meta object for enum 'Interval Qualifier Type'.
  See Also:
    `IntervalQualifierType`

### getOrderingType

    public EEnum getOrderingType()

  Returns the meta object for enum '`Ordering Type`'.

  Returns:
    the meta object for enum 'Ordering Type'.
  See Also:
    `OrderingType`

### getOrderingCategoryType

    public EEnum getOrderingCategoryType()

  Returns the meta object for enum '`Ordering Category Type`'.

  Returns:
    the meta object for enum 'Ordering Category Type'.
  See Also:
    `OrderingCategoryType`

### getPrimitiveType

    public EEnum getPrimitiveType()

  Returns the meta object for enum '`Primitive Type`'.

  Returns:
    the meta object for enum 'Primitive Type'.
  See Also:
    `PrimitiveType`

### getLinkControlOption

    public EEnum getLinkControlOption()

  Returns the meta object for enum '`Link Control Option`'.

  Returns:
    the meta object for enum 'Link Control Option'.
  See Also:
    `LinkControlOption`

### getIntegrityControlOption

    public EEnum getIntegrityControlOption()

  Returns the meta object for enum '`Integrity Control Option`'.

  Returns:
    the meta object for enum 'Integrity Control Option'.
  See Also:
    `IntegrityControlOption`

### getReadPermissionOption

    public EEnum getReadPermissionOption()

  Returns the meta object for enum '`Read Permission Option`'.

  Returns:
    the meta object for enum 'Read Permission Option'.
  See Also:
    `ReadPermissionOption`

### getWritePermissionOption

    public EEnum getWritePermissionOption()

  Returns the meta object for enum '`Write Permission Option`'.

  Returns:
    the meta object for enum 'Write Permission Option'.
  See Also:
    `WritePermissionOption`

### getUnlinkOption

    public EEnum getUnlinkOption()

  Returns the meta object for enum '`Unlink Option`'.

  Returns:
    the meta object for enum 'Unlink Option'.
  See Also:
    `UnlinkOption`

### getSQLDataTypesFactory

    public SQLDataTypesFactory getSQLDataTypesFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.